package com.huoran.common.config;

import okhttp3.*;
import org.springframework.context.annotation.Configuration;

import java.io.IOException;
@Configuration
public class RobotNotification {

    static String WECHAT_GROUP = "https://qyapi.weixin.qq.com/cgi-bin/webhook/send?key=8d6b7307-2534-4d51-8708-740bc98fc1d7";

    /**
     *	@content：要发送的消息
     *	WECHAT_GROUP：机器人的webhook
     */
    public static String callWeChatBot(String content) {
        OkHttpClient client = new OkHttpClient()
                .newBuilder()
                .build();
        MediaType mediaType = MediaType.parse("application/json");
        RequestBody body = RequestBody.create(content,mediaType);
        Request request = new Request.Builder()
                .url(WECHAT_GROUP)
                .method("POST", body)
                .addHeader("Content-Type", "application/json")
                .build();
        Response response = null;
        try {
            response = client.newCall(request).execute();
        } catch (IOException e) {
            e.printStackTrace();
        }
        return response.message();
    }

}
