package com.huoran.common.constant;

/**
 * @Author chen
 * @DATE 2021/7/1 17:06
 * @Version 1.0
 * @Description 考核常量类
 */
public interface AssessmentConstant {

    //考试状态(0、未考 1、在考 2、已考
    /**
     * 未考
     */
    Integer EXAMINATION_STATE_NOT_START = 0;

    /**
     * 在考
     */
    Integer EXAMINATION_STATE_START = 1;

    /**
     * 已考-已结束
     */
    Integer EXAMINATION_STATE_STOP = 2;


    /**
     * 指定范围
     */
    Integer IS_SPECIFY = 1;

    /**
     * 未指定范围
     */
    Integer NOT_IS_SPECIFY = 0;


    /**
     * 是否启用邀请码 :未启用
     */
    Integer  NOT_IS_ENABLE_CODE= 0;

    /**
     * 是否启用邀请码 :启用
     */
    Integer IS_ENABLE_CODE = 1;
}
