package com.huoran.common.constant;

/**
 * @ProjectName: huorantech
 * @Package: com.huoran.data_platform.constant
 * @ClassName: DelConstant
 * @Description: 逻辑删除
 * @Author: Maureen.Rong
 * @CreateDate: 2021/6/30 16:09
 * @UpdateDate: 2021/6/30 16:09
 * @Version: 1.0
 */
public class DelConstant {

    /**
     * 已删除
     */
    public static final Integer IS_DEL = 1;

    /**
     * 未删除
     */
    public static final Integer NOT_DEL = 0;

    /**
     * 已启用
     */
    public static final Integer IS_ENABLE = 1;

    /**
     * 未启用
     */
    public static final Integer NO_ENABLE = 0;

    /**
     * 开启
     */
    public static final Integer IS_OPEN = 0;

    /**
     * 未开启
     */
    public static final Integer NO_OPEN = 1;

    /**
     * 发布状态:1发布
     */
    public static final Integer POST_STATUS = 1;


    /**
     * 发布状态：0未发布
     */
    public static final Integer NOT_RELEASE = 0;

    /**
     * 数据平台:普通用户角色
     */
    public static final Integer ROLE_USER = 0;


    /**
     * 发布类型(0默认发布 1批量手动导入)
     */
    public static final Integer PUBLICATION_TYPE_DEFAULT = 0;

    public static final Integer PUBLICATION_TYPE_MANUALOPERATION = 1;
}
