package com.huoran.common.constant;

/**
 * @Author chen
 * @DATE 2021/7/1 17:06
 * @Version 1.0
 * @Description 订单常量类
 */
public interface OrderConstant {

    /**
     * 未发货
     */
    Integer NOT_SHIPPED = 0;

    /**
     * 已发货,已完成
     */
    Integer SHIPPED = 1;

    /**
     * 启用
     */
    Integer Enable = 1;

    /**
     * 不启用
     */
    Integer Not_enabled = 0;

    /**
     * 数据平台权限
     */
    Integer DATA_AUTHORITY = 0;

    /**
     * 课程权限
     */
    Integer COURSE_AUTHORITY = 1;

    /**
     * 订单初签
     */
    Integer FIRST_SIGN = 1;

    /**
     * 订单续签
     */
    Integer RENEW = 2;

}
