package com.huoran.common.constant;

/**
 * @Author chen
 * @DATE 2021/7/1 17:06
 * @Version 1.0
 * @Description 考核常量类
 */
public interface TeamCalculationMethodConstant {

    //团队成绩计算方式（0：最高分，1：平均分，2：求和）
    /**
     * 取最高分
     */
    Integer HIGHEST_SCORE_IN_A_TEAM_EVENT = 0;

    /**
     * 取平均分
     */
    Integer AVERAGE_SCORE_OF_TEAM_COMPETITION = 1;

    /**
     * 取最高分
     */
    Integer SUM_OF_TEAM_COMPETITION = 2;


    //赛事类型（0为个人赛，1为团队赛）默认为0
    Integer TYPE_OF_EVENT_INDIVIDUAL_COMPETITION = 0;
    Integer TYPE_OF_EVENT_TEAM_EVENT = 1;
}
