package com.huoran.common.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class OrganizationInfo {

    @ApiModelProperty("账号id")
    private Integer accountId;

    @ApiModelProperty("组织名称")
    private String organizationName;

    @ApiModelProperty("统一社会信用代码")
    private String creditCode;

    @ApiModelProperty("平台来源")
    private String platformId;

    @ApiModelProperty("组织认证状态")
    private String authentication;

    @ApiModelProperty("团队id")
    private Integer teamId;

    @ApiModelProperty("是否团队负责人")
    private Integer isTeam;

    @ApiModelProperty("团队父id")
    private Integer parentId;

    @ApiModelProperty("团队启用禁用")
    private Integer isEnable;

    @ApiModelProperty("组织id")
    private Integer manageId;
}
