package com.huoran.common.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "PythonCodeResp", description = "执行返回结果")
public class PythonCodeResp {

    @ApiModelProperty(value = "图片url")
    private String photoUrl;

    @ApiModelProperty(value = "执行结果")
    private String runResult;

    @ApiModelProperty(value = "返回结果(1为正确 0为错误)")
    private Integer retResult;

    @ApiModelProperty(value = "结果")
    private Integer codeId;

}
