package com.huoran.competition;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;
@SpringBootApplication
@EnableDiscoveryClient
@EnableScheduling//定时任务
@EnableFeignClients(basePackages = "com.huoran.api")
@MapperScan(basePackages = "com.huoran.competition.mapper")
@ComponentScan(basePackages = {"com.huoran"})
public class CompetitionApplication {

	public static void main(String[] args) {
		SpringApplication.run(CompetitionApplication.class, args);
	}

}
