/*
package com.huoran.competition.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huoran.common.response.R;
import com.huoran.competition.entity.CompetitionRange;
import com.huoran.competition.entity.resp.SchoolResp;
import com.huoran.competition.service.CompetitionRangeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

*/
/**
 * <p>
 * 活动范围表 前端控制器
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 *//*

@Api(value = "活动范围管理")
@RestController
@RequestMapping("/competition/range")
public class CompetitionRangeController {

    @Autowired
    private CompetitionRangeService competitionRangeService;

    @ApiOperation(value = "查询活动指定范围内学校")
    @GetMapping("/schoolsInCompetitionArea")
    public R schoolsInCompetitionArea(
            @ApiParam(name = "competitionId" , value = "賽事id")
            @RequestParam("competitionId") String competitionId) {
        //活动范围(0:本校内 1:全平台 2.指定区域、院校)
        QueryWrapper<CompetitionRange> wrapper = new QueryWrapper<>();
        wrapper.eq("competition_id",competitionId);
        List<CompetitionRange> list = competitionRangeService.list(wrapper);
        List<SchoolResp> schools = new ArrayList<>();
        for (CompetitionRange competitionRange : list) {
            if (competitionRange.getSchoolId()!=null){
                List<SchoolResp> school = competitionRangeService.getSchool(competitionRange.getSchoolId());
                schools.addAll(school);
            }
            if (competitionRange.getCityId()!=null&&competitionRange.getSchoolId()==null ){
                List<SchoolResp> city = competitionRangeService.getCity(competitionRange.getCityId(), competitionRange.getProvinceId());
                schools.addAll(city);
            }
            //都为空查询省份
            if (competitionRange.getProvinceId()!=null&&competitionRange.getCityId()==null&&competitionRange.getSchoolId()==null){
                List<SchoolResp> province = competitionRangeService.getProvince(competitionRange.getProvinceId());
                schools.addAll(province);
            }
        }
        return R.ok().put("schools", schools);
    }

}

*/
