/*
package com.huoran.competition.controller;


import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huoran.common.aop.annotation.NoRepeatSubmit;
import com.huoran.common.response.R;
import com.huoran.competition.entity.TeamParticipant;
import com.huoran.competition.service.TeamParticipantService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.text.ParseException;
import java.util.List;

*/
/**
 * <p>
 * 团队阶段参赛人员表 前端控制器
 * </p>
 *
 * @author cheney
 * @since 2022-12-05
 *//*

@Api(tags = "团队阶段指定参赛人员表")
@RestController
@RequestMapping("/competition/teamParticipant")
public class TeamParticipantController {

    @Autowired
    private TeamParticipantService teamParticipantService;
    @NoRepeatSubmit
    @PostMapping("/stageSelectParticipants")
    @ApiOperation(value = "选择阶段参赛人员")
    public R stageSelectParticipants(
            @RequestBody @Valid TeamParticipant teamInstructor) throws ParseException {
        //后台不传值，学生修改判断修改时间
        if (teamInstructor.getPlatformId()!=null && teamInstructor.getPlatformId()==1){
//        查询阶段活动时间
            boolean ok = teamParticipantService.inTheGame(teamInstructor.getStageId());
//        阶段在活动中不允许修改参数人员
            if (ok){
                return R.error("活动开始无法修改参数人员！");
            }
        }
//        清空之前数据
        QueryWrapper<TeamParticipant> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("stage_id",teamInstructor.getStageId());
        queryWrapper.eq("competition_id",teamInstructor.getCompetitionId());
        queryWrapper.eq("team_id",teamInstructor.getTeamId());
        teamParticipantService.remove(queryWrapper);
//        添加参数人员数据
        int insert = 0;
        List<Integer> accountIds = teamInstructor.getAccountIds();
        if (ObjectUtil.isNotNull(accountIds)){
            for (Integer accountId : accountIds) {
                TeamParticipant teamParticipant = new TeamParticipant();
                teamParticipant.setTeamId(teamInstructor.getTeamId());
                teamParticipant.setStageId(teamInstructor.getStageId());
                teamParticipant.setCompetitionId(teamInstructor.getCompetitionId());
                teamParticipant.setAccountId(accountId);
                teamParticipantService.save(teamParticipant);
                insert++;
            }
        }
        return R.ok();
    }

    @NoRepeatSubmit
    @PostMapping("/cancelParticipant")
    @ApiOperation(value = "取消参赛人员")
    public R cancelParticipant(@RequestBody @Valid TeamParticipant teamInstructor) {
        //参赛人员清空
        QueryWrapper<TeamParticipant> participantQueryWrapper = new QueryWrapper<>();
        participantQueryWrapper.eq("competition_id",teamInstructor.getCompetitionId());
        participantQueryWrapper.eq("account_id",teamInstructor.getAccountId());
        participantQueryWrapper.eq("team_id",teamInstructor.getTeamId());
        participantQueryWrapper.eq("stage_id",teamInstructor.getStageId());
        teamParticipantService.remove(participantQueryWrapper);
        return R.ok();
    }


}

*/
