package com.huoran.competition.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @描述：活动分类
 * @作者: Rong
 * @日期: 2023-12-27
 */
@Data
@ApiModel(value = "活动分类")
@TableName("c_competition_classification")
public class CompetitionClassification implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "活动分类主键")
    private Integer id;

    @ApiModelProperty(value = "活动分类名称")
    private String classificationName;

    @ApiModelProperty(value = "创建人")
    private Integer accountId;


    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;


}