package com.huoran.competition.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


@Data
@ApiModel(value = "批量上传分页列表")
public class BatchUploadListCompetitionReq extends PageReq implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "活动Id")
    private Integer competitionId;

    @ApiModelProperty(value = "阶段Id")
    private Integer stageId;

    @ApiModelProperty(value = "是否为总分排名(1为是 默认0不是)")
    private Integer isOverallRanking;
}