package com.huoran.competition.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


@Data
@ApiModel(value = "阶段文件管理")
public class ContestStageFileReq extends PageReq {


    @ApiModelProperty(value = "活动Id")
    private Integer competitionId;

    @ApiModelProperty(value = "阶段id")
    private Integer stageId;

    @ApiModelProperty(value = "选择要导出的文件",required = false)
    private List<Integer> ids;

    @ApiModelProperty(value = "关键字")
    private String keyWord;


}