package com.huoran.competition.entity.req;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;


@Data
@ApiModel(value = "团队得分详情")
public class DetailsOfTotalTeamScoresReq {

    @ApiModelProperty(value = "活动Id")
    private Integer competitionId;

    @ApiModelProperty(value = "要查询的阶段id(多个)")
    private List<Integer> stageIds;


    @JsonIgnore
    @ApiModelProperty(value = "阶段id")
    private Integer stageId;

    @ApiModelProperty(value = "团队id")
    private Integer teamId;

}
