package com.huoran.competition.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @描述：活动管理表
 * @作者: Rong
 * @日期: 2022-06-16
 */
@Data
@ApiModel(value = "禁用启用活动所需参数")
public class DisableEnableCompetitionReq {

    @ApiModelProperty(value = "禁用平台来源(0中台，1职站)",example = "1")
    private Integer type;

    @ApiModelProperty(value = "禁用的活动id",example = "1")
    private Integer competitionId;

    @ApiModelProperty(value = "是否开启(默认0启用 1禁用)", example = "0")
    private Integer isOpen;

}