package com.huoran.competition.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@ApiModel(value = "积分赛总排名")
public class FrontDeskStageTeamScoreDetailsReq extends PageReq{


    @ApiModelProperty(value = "活动Id")
    private Integer competitionId;

    @ApiModelProperty(value = "当前的阶段id")
    private Integer stageId;


    @ApiModelProperty(value = "多个阶段id(逗号隔开)")
    private String stageIds;

    @ApiModelProperty(value = "团队id")
    private Integer teamId;

    @ApiModelProperty(value = "是否为总分排名(1为是 默认0不是)")
    private Integer isOverallRanking;

    @ApiModelProperty(value = "查询成绩详情类型标识，查询类型为1")
    private Integer type;

    @ApiModelProperty(value = "账号id")
    private String accountId;

    @ApiModelProperty(value = "活动类型（0为个人赛，1为团队赛）默认为0",hidden = true)
    private Integer competitionType;
/*
    @ApiModelProperty(value = "要查询的阶段id(多个)")
    private List<Integer> stageIds;*/
}