package com.huoran.competition.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;


@Data
@ApiModel(value = "阶段成绩列表所需参数")
public class PageGradeListReq extends PageReq {

    @ApiModelProperty(value = "关键字")
    private String keyWord;


    @ApiModelProperty(value = "活动阶段id")
    private Integer stageId;


    @ApiModelProperty(value = "活动id")
    private Integer competitionId;


    @ApiModelProperty(value = "reportId或者scoreId")
    private List<Integer> ids;

    @ApiModelProperty(value = "是否为中台(0为否 1为是)")
    private Integer isNakadai;

    @ApiModelProperty(value = "团队id")
    private Integer teamId;
}
