package com.huoran.competition.entity.req;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;


@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class StageRankingReq {


    @ApiModelProperty(value = "活动id")
    private Integer competitionId;

    @ApiModelProperty(value = "活动阶段id")
    private Integer stageId;

    @ApiModelProperty(value = "团队id")
    private Integer teamId;


    @ApiModelProperty(value = "多团队id(逗号隔开)")
    private String teamIds;
}