package com.huoran.competition.entity.resp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


@Data
@ApiModel(value = "活动总分排名")
public class OverallEventRankingResp {

    @ApiModelProperty(value = "阶段id")
    private Integer stageId;

    @ApiModelProperty(value = "阶段名称")
    private String stageName;

    @ApiModelProperty(value = "权重（积分赛，所有阶段权和为1）")
    private Double pointWeight;

   /* @ApiModelProperty(value = "活动类型（0为个人赛，1为团队赛）默认为0")
    private Integer competitionType;*/


    @ApiModelProperty(value = "本阶段参赛的团队信息(已经依据当前阶段成绩计算方式计算后的)")
    private List<ListOfStageResultsResp> stageTeamInformation;
}