package com.huoran.competition.entity.resp;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


@Data
@ApiModel(value = "耗时计算")
public class TimeConsumingCalculationResp   {


    @ApiModelProperty(value = "平均耗时", hidden = true)
    @JsonIgnore
    private String averageTimeConsuming;

    @ApiModelProperty(value = "总耗时", hidden = true)
    @JsonIgnore
    private String totalTimeSpent;

    @ApiModelProperty(value = "最多耗时", hidden = true)
    @JsonIgnore
    private String maximumTimeConsuming;

}