package com.huoran.competition.entity.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PersonageRankingExportVO {

    @ApiModelProperty(value = "序号")
    @Excel(name = "序号", orderNum = "1", isImportField = "serialNumber", width = 30)
    private Integer serialNumber;

    @ApiModelProperty(value = "学生姓名")
    @Excel(name = "学生姓名", orderNum = "2", isImportField = "userName", width = 30)
    private String userName;



    @ApiModelProperty(value = "学校名称")
    @Excel(name = "学校名称", orderNum = "3", isImportField = "schoolName", width = 30)
    private String schoolName;


    @ApiModelProperty("耗时")
    @Excel(name = "耗时", orderNum = "4", isImportField = "timeSum", width = 30)
    private String timeSum;

    @ApiModelProperty(value = "分数")
    @Excel(name = "分数", orderNum = "5", isImportField = "score", width = 30)
    private String score;


}
