package com.huoran.competition.entity.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PersonalExcelData {

    @ApiModelProperty(value = "序号")
    @Excel(name = "序号", orderNum = "1",  isImportField = "rownum", width = 30)
    private Integer rownum;

    @ApiModelProperty(value = "学校")
    @Excel(name = "学校", orderNum = "2", mergeVertical = true, isImportField = "school", width = 30)
    private String school;

    @ApiModelProperty(value = "学生姓名")
    @Excel(name = "学生姓名", orderNum = "3", mergeVertical = true, isImportField = "username", width = 30)
    private String username;


    @ApiModelProperty(value = "手机号")
    @Excel(name = "手机号", orderNum = "4", mergeVertical = true, isImportField = "phone", width = 30)
    private String phone;


    @ApiModelProperty(value = "学号")
    @Excel(name = "学号", orderNum = "5", mergeVertical = true, isImportField = "workNumber", width = 30)
    private String workNumber;


    @ApiModelProperty(value = "报名时间")
    @Excel(name = "报名时间", orderNum = "6", mergeVertical = true, isImportField = "createTime", width = 30)
    private String createTime;

}
