package com.huoran.competition.entity.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class RegistrationVO {

    @ApiModelProperty(value = "序号")
    @Excel(name = "序号", orderNum = "1", isImportField = "id", width = 30)
    private Integer rownum;


    @ApiModelProperty(value = "姓名")
    @Excel(name = "姓名", orderNum = "2", isImportField = "username", width = 30)
    private String username;

    @ApiModelProperty(value = "组织名称")
    @Excel(name = "组织名称", orderNum = "3", isImportField = "organizationName", width = 30)
    private String organizationName;


    @ApiModelProperty(value = "组织类型/平台来源(5:幼儿园，6：供应商) 没有数据显示'无'")
    @Excel(name = "组织类型", orderNum = "4", isImportField = "platformId", width = 30)
    private String platformId;


    @ApiModelProperty(value = "报名时间")
    @Excel(name = "报名时间", orderNum = "5", isImportField = "createTime", width = 30)
    private String createTime;


    @ApiModelProperty(value = "签到情况(签到状态(0待签到 1.已签到 2未签到:活动结束后没签到的))")
    @Excel(name = "签到情况", orderNum = "6", isImportField = "signInStatus", width = 30)
    private String signInStatus;


    @ApiModelProperty(value = "签到时间")
    @Excel(name = "签到时间", orderNum = "7", isImportField = "signInTime", width = 30)
    private String signInTime;


    @ApiModelProperty(value = "手机号")
    @Excel(name = "手机号", orderNum = "8", isImportField = "phone", width = 30)
    private String phone;


    @ApiModelProperty(value = "头像")
    private String userAvatars;


    @ApiModelProperty(value = "账号id")
    private Integer accountId;

    @ApiModelProperty(value = "用户id")
    private Integer userId;

    @ApiModelProperty(value = "活动id")
    private Integer competitionId;






    @ApiModelProperty(value = "当前报名生成的主键id(用于禁用/删除等报名人员)")
    private Integer id;

    @ApiModelProperty(value = "是否禁用")
    private Integer isDisable;


}
