package com.huoran.competition.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.competition.entity.CompetitionRange;
import com.huoran.competition.entity.resp.CompetitionRangeResp;
import com.huoran.competition.entity.resp.SchoolResp;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 活动范围表 Mapper 接口
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
public interface CompetitionRangeMapper extends BaseMapper<CompetitionRange> {

    List<CompetitionRangeResp> getRangeByCompetitionId(Integer id);

    List<CompetitionRangeResp> getRangeByContestId(String id);

    List<SchoolResp> getCity(@Param("cityId") Integer cityId,@Param("provinceId") Integer provinceId);

    List<SchoolResp> getProvince(@Param("provinceId") Integer provinceId);

    List<SchoolResp> getSchool(@Param("schoolId") Integer schoolId);

    List<CompetitionRangeResp> getRangeByContestIdNew(@Param("contestId") String id);
}
