package com.huoran.competition.mapper;

import com.huoran.competition.entity.CompetitionRule;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.competition.entity.CompleteCompetitionSetup;
import com.huoran.competition.entity.resp.CompetitionRuleResp;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 活动规则表 Mapper 接口
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
public interface CompetitionRuleMapper extends BaseMapper<CompetitionRule> {
    CompetitionRule getTheRulesOfTheRaceByTheRaceId(@Param("competitionId") Integer competitionId);

    List<CompetitionRuleResp> acquisitionWeightRatio(@Param("competitionId") Integer competitionId);

    CompetitionRuleResp obtainTheRulesOfTheEvent(@Param("competitionId") Integer competitionId);
}
