package com.huoran.competition.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huoran.common.constant.DelConstant;
import com.huoran.competition.entity.CompetitionAnnex;
import com.huoran.competition.mapper.CompetitionAnnexMapper;
import com.huoran.competition.service.CompetitionAnnexService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 活动附件表 服务实现类
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
@Service
public class CompetitionAnnexServiceImpl extends ServiceImpl<CompetitionAnnexMapper, CompetitionAnnex> implements CompetitionAnnexService {
    @Override
    public List<CompetitionAnnex> getCompetitionAnnexByCompetitionId(String competitionId) {
        QueryWrapper<CompetitionAnnex> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("competition_id",competitionId);
        return baseMapper.selectList(queryWrapper);
    }
}
