package com.huoran.competition.service.impl;

import com.huoran.competition.entity.CompleteCompetitionSetup;
import com.huoran.competition.mapper.CompleteCompetitionSetupMapper;
import com.huoran.competition.service.CompleteCompetitionSetupService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * <p>
 * 完整活动设置 服务实现类
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
@Service
public class CompleteCompetitionSetupServiceImpl extends ServiceImpl<CompleteCompetitionSetupMapper, CompleteCompetitionSetup> implements CompleteCompetitionSetupService {


    @Override
    public CompleteCompetitionSetup getRaceSettingsByRaceId(Integer competitionId) {
        return baseMapper.getRaceSettingsByRaceId(competitionId);
    }
}
