package com.huoran.competition.utils;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/**
 * @Author chen
 * @DATE 2020/10/20 10:46
 * @Version 1.0
 */
public class DateUtil {


    public static String lastDate(Integer month) {
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Calendar c = Calendar.getInstance();

        if (month == 1) {
            c.add(Calendar.MONTH, -1);
            Date time = c.getTime();
            return format.format(time);
        }
        if (month == 3) {
            c.add(Calendar.MONTH, -3);
            Date time = c.getTime();
            return format.format(time);
        }
        if (month == 6) {
            c.add(Calendar.MONTH, -6);
            Date time = c.getTime();
            return format.format(time);
        }
        return "";
    }

    public static String currentDate() {
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        return format.format(new Date());
    }


    public static String addDays(Integer num) {
        Date d = new Date();
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String currdate = format.format(d);
        System.out.println("现在的日期是：" + currdate);

        Calendar ca = Calendar.getInstance();
        ca.add(Calendar.DATE, num);// num为增加的天数，可以改变的
        d = ca.getTime();
        String enddate = format.format(d);
        System.out.println("增加天数以后的日期：" + enddate);
        return enddate;
    }


    /**
     * 日期添加到分钟得到新时间
     *
     * @param day 开始时间
     * @param x   相隔分钟数
     * @return
     */
    public static Date addDateMinute(String day, int x) {
        //入参的格式
        // 24小时制
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Date date = null;
        try {
            date = format.parse(day);
        } catch (Exception ex) {
            ex.printStackTrace();
        }
        if (date == null) {
            return null;
        }
        System.out.println("front:" + format.format(date));
        Calendar cal = Calendar.getInstance();
        cal.setTime(date);
        // 24小时制
        cal.add(Calendar.MINUTE, x);
        //得到结算后的结果 yyyy-MM-dd HH:mm
        date = cal.getTime();
        System.out.println("after:" + format.format(date));
        cal = null;
        return date;
    }


    public static void main(String[] args) {
        System.out.println(addDateMinute(  "2023-02-01 14:54:20", 9));
    }

}
