package com.huoran.competition.utils;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class SemesterDateUtils {

       /* public static void main(String[] args) {

            Calendar calendar = Calendar.getInstance();
            // 获取当前年
            int year = calendar.get(Calendar.YEAR);
            // 获取当前月
            int month = calendar.get(Calendar.MONTH) + 1;

            //打印出当前学期
            System.out.println(getCurrentSemester(year, month));


        }

        //获取当前学期
        public static String getCurrentSemester(Integer year, Integer month) {
            StringBuilder sb = new StringBuilder();
            String num = "上";  //默认设成第一学期
            //如果是当前的9月1日到1月30之间，就是本年加上下一年的学期，学期是第一学期
            if (month >= 9 && month <= 12) {    //当年的9至12月份
    //            sb.append(year);
    //            sb.append("-");
                sb.append(year + 1);
            } else if (month == 1 || month == 2) {    //1,2月份为上学期
    //            sb.append(year - 1);
    //            sb.append("-");
                sb.append(year);

            } else if (month >= 2 && month < 9) {    //下学期 //如果是2至8月，那它就是上一年加上本年的学期，学期是下学期
    //            sb.append(year - 1);
    //            sb.append("-");
                sb.append(year);
                num = "下";
            }
            //sb.append("第");
            sb.append(num);
            sb.append("学期");
            return sb.toString();
        }*/


    public static String getYear(String content) {

        String year = null;

        if (content != null) {

            //正则表达式

            String pat = "\\d{4}-\\d{2}-\\d{2}";

            Pattern pattern = Pattern.compile(pat); // 实例化Pattern类

            Matcher m = pattern.matcher(content); // 实例化Matcher类

            if (m.matches()) { // 进行验证的匹配，使用正则

                SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd");

                Date date = null;

                try {

                    date = format.parse(content);

                    Calendar cal = Calendar.getInstance();

                    cal.setTime(date);

                    year = "" + cal.get(Calendar.YEAR);

                } catch (ParseException e) {

                    e.printStackTrace();

                }

            }

        }

        return year;

    }

    public static String getMonth(String content) {

        String month = null;

        if (content != null) {

            //正则表达式

            String pat = "\\d{4}-\\d{2}-\\d{2}";

            Pattern pattern = Pattern.compile(pat); // 实例化Pattern类

            Matcher m = pattern.matcher(content); // 实例化Matcher类

            if (m.matches()) { // 进行验证的匹配，使用正则

                SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd");

                Date date = null;

                try {

                    date = format.parse(content);

                    Calendar cal = Calendar.getInstance();

                    cal.setTime(date);

                    int num = cal.get(Calendar.MONTH) + 1;

                    month = "" + num;

                } catch (ParseException e) {

                    e.printStackTrace();

                }

            }

        }

        return month;

    }

    public static void main(String[] args) {


        System.out.println("month is：" + getMonth("2022-09-07"));

        System.out.println("year is：" + getYear("2022-09-07"));

    }
}
