package com.huoran.competition.utils.poi;

/**
 * @author 世杰
 * @date 2020/3/24 22:47
 */
public class CustomException extends RuntimeException {
    private ResultCode resultCode;

    public CustomException(Integer code, String message) {
        //异常信息为错误代码+异常信息
        super("错误代码：" + code + "错误信息：" + message);
        this.resultCode = resultCode;
    }

    public CustomException(ResultCode resultCode) {
        //异常信息为错误代码+异常信息
        super("错误代码：" + resultCode.code() + "错误信息：" + resultCode.message());
        this.resultCode = resultCode;
    }

    public ResultCode getResultCode() {
        return this.resultCode;
    }
}
