package com.huoran.nakadai.config.interceptor;

import com.huoran.common.exception.CustomException;
import com.huoran.common.exception.ExceptionEnum;
import com.huoran.common.utils.JwtUtils;
import com.huoran.common.utils.TokenUtils;
import com.huoran.nakadai.mapper.PartnerTeamMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.HandlerInterceptor;
import org.springframework.web.servlet.ModelAndView;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @Author chen
 * @DATE 2022/6/24 11:50
 * @Version 1.0
 * 用户信息拦截器
 */
@Component
public class UserInterceptor implements HandlerInterceptor {

    @Autowired
    private PartnerTeamMapper partnerTeamMapper;

    /**
     * 进入controller方法之前
     * @param request
     * @param response
     * @param handler
     * @return
     * @throws Exception
     */
    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
        /*String id = TokenUtils.getIdByJwtToken(request);
        String platform = partnerTeamMapper.selectPlatform(id);
        System.out.println("拦截器进行拦截============="+platform);
        if (platform==null){
            throw new CustomException(ExceptionEnum.USER_NOT_EXIST);
        }
        //是否是合伙人平台,进行验证
        if ("4".equals(platform)){
            //合伙人操作查询是否有团队
            Integer exist = partnerTeamMapper.selectTeam(id);
            return exist > 0;
        }*/
        return true;
    }

    /**
     * 方法内部处理完成，页面渲染之前
     * @param request
     * @param response
     * @param handler
     * @param modelAndView
     * @throws Exception
     */
    @Override
    public void postHandle(HttpServletRequest request, HttpServletResponse response, Object handler, ModelAndView modelAndView) throws Exception {

    }

    /**
     * 页面渲染之后
     * @param request
     * @param response
     * @param handler
     * @param ex
     * @throws Exception
     */
    @Override
    public void afterCompletion(HttpServletRequest request, HttpServletResponse response, Object handler, Exception ex) throws Exception {

    }
}
