package com.huoran.nakadai.entity;

public class Article implements Comparable<Article> {
    private String title;
    private int index;

    public Article(String title, int index) {
        this.title = title;
        this.index = index;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public int getIndex() {
        return index;
    }



    @Override
    public int compareTo(Article o) {
        return Integer.compare(this.index, o.getIndex());
    }
}