package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 城市
 * </p>
 *
 * @author huoran
 * @since 2021-06-29
 */
@Data
@TableName("city")
public class City implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 城市主键ID
     */
    @TableId(value = "city_id", type = IdType.AUTO)
    private Integer cityId;

    /**
     * 城市名称
     */
    private String cityName;

    /**
     * 绑定省份ID
     */
    private Integer provinceId;

    /**
     * 是否删除(0、未删除 1、已删除)
     */
    private Integer isDel;


}
