package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 行业类
 * </p>
 *
 * @author huoran
 * @since 2021-06-29
 */
@Data
@TableName("hr_industry_class")
public class HrIndustryClass implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 行业类主键ID
     */
    @TableId(value = "industry_class_id", type = IdType.AUTO)
    private Integer industryClassId;

    /**
     * 行业类名称
     */
    private String industryClassName;


}
