package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @描述：合伙人——文章管理——文章浏览记录
 * @作者: Rong
 * @日期: 2023-03-17
 */
@Data
@ApiModel(value = "合伙人——文章管理——文章浏览记录")
@TableName("partner_article_statistic")
public class PartnerArticleStatistic implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "文章id")
    private Integer contentId;

    @ApiModelProperty(value = "账号id")
    private Integer accountId;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;



}