package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 幼教产业团队账号与分类中间表
 * </p>
 *
 * @author chen
 * @since 2023-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("k_platform_team")
@ApiModel(value="PlatformTeam对象", description="幼教产业团队账号与分类中间表")
public class PlatformTeam implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "团队主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "团队账号主键id")
    private Integer manageId;

    @ApiModelProperty(value = "团队分类id")
    private Integer classificationId;


}
