package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @描述：
 * @作者: Rong
 * @日期: 2023-08-22
 */
@Data
@ApiModel(value = "")
@TableName("sys_product_theme")
public class ProductTheme implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主题id")
    private Integer id;

    @ApiModelProperty(value = "主题图片")
    private String url;


}