package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 省份表
 * </p>
 *
 * @author huoran
 * @since 2021-07-08
 */
@Data
@TableName("province")
public class Province implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 省份主键ID
     */
    @TableId(value = "province_id", type = IdType.AUTO)
    private Integer provinceId;

    /**
     * 省份名称
     */
    private String provinceName;

    /**
     * 是否删除(0、为删除 1、已删除)
     */
    private Integer isDel;


}
