package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Author chen
 * @DATE 2022/3/22 10:48
 * @Version 1.0
 */
@Data
@ApiModel(value = "新增组织架构请求参数", description = "新增组织架构请求参数")
public class ArchitectureAddReq {

    @ApiModelProperty(value = "组织名称")
    @NotNull(message = "组织名称不能为空")
    private String organizationName;

    @ApiModelProperty(value = "父id 一级为0")
    @NotNull(message = "父id不能为空")
    private Integer parentId;

    @ApiModelProperty(value = "层级")
    @NotNull(message = "层级不能为空")
    private Integer level;

}
