package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@ApiModel(value = "禁用启用模型所需参数")
public class DisableEnableModelReq {

    @ApiModelProperty(value = "禁用平台来源(0中台，1职站教师端 2.职站学生端)",example = "1")
    private Integer type;

    @ApiModelProperty(value = "禁用的模型id",example = "1")
    private Integer modelId;

    @ApiModelProperty(value = "是否开启(默认0启用 1禁用)", example = "0")
    private Integer isOpen;

    @ApiModelProperty(value = "是否是本校超管以及管理员(0为否 1为是)", hidden = true)
    private Integer isAdmin;
}