package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class EditProvinceCityReq {

    @ApiModelProperty(value = "省份id")
    private Integer provinceId;

    @ApiModelProperty(value = "账号id")
    private Integer accountId;

    @ApiModelProperty(value = "城市id")
    private Integer cityId;

    @ApiModelProperty(value = "合伙人id")
    private Integer partnerId;

    @ApiModelProperty(value = "分类id")
    @NotNull(message = "团队id不能为空")
    private Integer classificationId;

    @ApiModelProperty(value = "是否为队长")
    private Integer isTeam;

    @ApiModelProperty(value = "姓名")
    private String userName;

    @ApiModelProperty(value = "角色名称")
    private String roleName;

    @ApiModelProperty(value = "账号角色信息")
    private List<Integer> roleList;

}
