package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Author chen
 * @DATE 2022/3/24 17:03
 * @Version 1.0
 */
@Data
@ApiModel(value = "批量导入员工数据")
public class ExcelImpStaffReq {

    @ApiModelProperty(value = "姓名")
    @NotNull(message = "姓名不能为空！")
    private String userName;

    @NotNull(message = "账号不能为空！")
    @ApiModelProperty(value = "账号")
    private String account;

    @ApiModelProperty(value = "角色")
    @NotNull(message = "角色不能为空！")
    private String roleName;

    @ApiModelProperty(value = "工号")
    @NotNull(message = "工号不能为空！")
    private String workNumber;

    @ApiModelProperty(value = "所在部门")
    private String dept;

    @ApiModelProperty(value = "手机号码")
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String email;
}
