package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ProjectName: huorantech
 * @Package: com.huoran.occupationlab.entity.req
 * @ClassName: PageReq
 * @Description: 分页
 * @Author: Maureen.Rong
 * @CreateDate: 2021/8/12 15:10
 * @UpdateDate: 2021/8/12 15:10
 * @Version: 1.0
 */
@Data
public class MarketingPromotionPageReq extends PageReq {
    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty(value = "是否开启(0开启 1未开启 默认0)")
    private Integer isOpen;

}
