package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 课程管理
 * </p>
 *
 * @author lr
 * @since 2021-09-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class MiniProgramProductsReq extends PageReq {

    @ApiModelProperty(value = "关键词", example = "系统")
    private String keywords;


    @ApiModelProperty(value = "sort【desc(降序)/asc(升序】", example = "desc")
    private String sort;

    @ApiModelProperty(value = "产品类型", example = "0")
    private String  productType;


}
