package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.HashSet;

/**
 * @Author chen
 * @DATE 2021/7/1 17:55
 * @Version 1.0
 */
@Data
public class OrderListReq {

    @ApiModelProperty(value = "省份id")
    private Integer provinceId;

    @ApiModelProperty(value = "城市id")
    private Integer cityId;

    @ApiModelProperty(value = "页码")
    private Integer pageNo;

    @ApiModelProperty(value = "页数")
    private Integer pageSize;

    @ApiModelProperty(value = "订单类型")
    private Integer orderType;

    @ApiModelProperty(value = "订单状态")
    private Integer orderStatus;

    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ApiModelProperty(value = "供应商id")
    private String supplierId;

    @ApiModelProperty(value = "订单id",hidden = true)
    private HashSet<Integer> orderIds;

    @ApiModelProperty(value = "排序(0默认降序 1升序)")
    private Integer sort;

}
