package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;

/**
 * @Author chen
 * @DATE 2022/5/18 17:15
 * @Version 1.0
 */
@Data
public class PartnerAccountListReq {

    @ApiModelProperty(value = "类型:必填一个(1.团队合伙人 2.未加入团队的合伙人)", required = true, example = "1")
    private Integer type;

    @ApiModelProperty(value = "搜索关键词", example = "1")
    private String keyWord;

    @ApiModelProperty(value = "合伙人分类主键ID", example = "2")
    private String partnerClassificationId;

    @ApiModelProperty(value = "当前页数", name = "pageNum", example = "1", required = true)
    private Integer pageNum;

    @ApiModelProperty(value = "当前页需要显示的数量", name = "pageSize", example = "10", required = true)
    private Integer pageSize;

    //合伙人id
    private ArrayList<Integer> ids;
}
