package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
@Data
public class PartnerRegisterReq {

    @ApiModelProperty(value = "姓名")
    @NotNull(message = "姓名不能为空！")
    private String userName;

    @ApiModelProperty(value = "账号")
    private String account;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "唯一标识账号")
    @NotNull(message = "唯一标识不能为空！")
    private String uniqueIdentification;

    @ApiModelProperty(value = "手机号")
    @NotNull(message = "手机号不能为空")
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "openid")
    private String appOpenId;

    @ApiModelProperty(value = "意向省份")
    private Integer provinceId;

    @ApiModelProperty(value = "意向城市")
    private Integer cityId;

    @ApiModelProperty(value = "openId")
    private String openId;


/*    @ApiModelProperty("验证码")
    private String code;

    @ApiModelProperty("内部标识")
    private Integer identification;*/
}
