package com.huoran.nakadai.entity.req;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 小程序—购物车
 * </p>
 *
 * @author chen
 * @since 2023-06-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ProgramShoppingCartReq extends PageReq {


    @ApiModelProperty(value = "购物车主键")
    private Integer shoppingCartId;

    @ApiModelProperty(value = "商品主键")
    private Integer mallId;

    @ApiModelProperty(value = "账号id(无需给)",hidden = true)
    private Integer accountId;



}
