package com.huoran.nakadai.entity.req;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @description
 * @author: Mr.JK
 * @create: 2021-09-08 14:46
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ServiceConfigurationReq implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 系统id
     */
    @ApiModelProperty(value = "系统id",required = false)
    private String systemId;

    /**
     * 系统名称
     */
    @ApiModelProperty(value = "系统名称",required = false)
    private String systemName;

    @ApiModelProperty(value = "供应商id",required = false)
    private String supplierId;

    /**
     * 系统类型
     */
    @ApiModelProperty(value = "系统类型(0编程类 1流程类)")
    private Integer type;

    /**
     * 系统归属
     */
    @ApiModelProperty(value = "系统归属(0内部产品 1外部产品)")
    private Integer belong;

    /**
     * 页码
     */
    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    /**
     * 页数
     */
    @ApiModelProperty(value = "页数")
    private Integer pageSize;
}