package com.huoran.nakadai.entity.req;

import com.huoran.nakadai.entity.SupplierClassificationConfig;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class TeamInfo {

    @ApiModelProperty(value = "团队id")
    private Integer id;

    @ApiModelProperty(value = "团队名称")
    private String classificationName;

    @ApiModelProperty(value = "logo_url")
    private String logoUrl;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "简介")
    private String briefIntroduction;

    @ApiModelProperty(value = "slogan")
    private String slogan;

    @ApiModelProperty(value = "province")
    private String province;

    @ApiModelProperty(value = "city")
    private String city;

    @ApiModelProperty(value = "picture_url")
    private String pictureUrl;

    @ApiModelProperty(value = "qrCode_one_name")
    private String qrCodeOneName;

    @ApiModelProperty(value = "qrCode_one_url")
    private String qrCodeOneUrl;

    @ApiModelProperty(value = "qrCode_two_name")
    private String qrCodeTwoName;

    @ApiModelProperty(value = "qrCode_two_url")
    private String qrCodeTwoUrl;

    @ApiModelProperty(value = "qrCode_three_name")
    private String qrCodeThreeName;

    @ApiModelProperty(value = "qrCode_three_name")
    private String qrCodeThreeUrl;

    @ApiModelProperty(value = "phone")
    private String phone;

    @ApiModelProperty(value = "供应商分类配置")
    private List<SupplierClassificationConfig> supplierClassificationConfigs;
}
