package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Author chen
 * @DATE 2022/6/15 11:56
 * @Version 1.0
 */
@Data
public class TransferAdminReq {
    @ApiModelProperty(value = "accountId")
    private String id;

    @ApiModelProperty(value = "手机验证码")
    private String code;

    @ApiModelProperty(value = "用户姓名", example = "example")
    @NotNull(message = "用户姓名不能为空")
    private String userName;

    @ApiModelProperty(value = "唯一标识账号", example = "example")
    @NotNull(message = "唯一标识账号不能为空")
    private String uniqueIdentification;

    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "分类id")
    private String partnerClassificationId;

    @ApiModelProperty(value = "新增账号")
    private String account;

    @ApiModelProperty(value = "工号")
    private String workNumber;

    @ApiModelProperty(value = "省份id")
    private Integer provinceId;

    @ApiModelProperty(value = "城市id")
    private Integer cityId;

}
