package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author chen
 * @DATE 2022/6/14 18:21
 * @Version 1.0
 */
@Data
public class TransferTeamReq {

    @ApiModelProperty(value = "管理员组织id")
    private Integer adminManageId;

    @ApiModelProperty(value = "成员组织id")
    private Integer memberManageId;

    @ApiModelProperty(value = "管理员团队id")
    private Integer adminTeamId;

    @ApiModelProperty(value = "管理员合伙人id")
    private Integer adminPartnerId;

    @ApiModelProperty(value = "成员合伙人id")
    private Integer memberPartnerId;

    @ApiModelProperty(value = "成员团队id")
    private Integer memberTeamId;

    @ApiModelProperty(value = "成员姓名")
    private String memberName;

    @ApiModelProperty(value = "省份id")
    private Integer provinceId;

    @ApiModelProperty(value = "城市id")
    private Integer cityId;

}
