package com.huoran.nakadai.entity.res;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ProjectName: huorantech
 * @Package: com.huoran.nakadai.entity.res
 * @ClassName: SchoolCourseRes
 * @Description: 学校课程展示
 * @Author: Maureen.Rong
 * @CreateDate: 2021/9/28 15:21
 * @UpdateDate: 2021/9/28 15:21
 * @Version: 1.0
 * @create: 2021-09-28 15:21
 */
@Data
public class CourseByProjectInfoRes {
    @ApiModelProperty(value = "课程id")
    private Integer cid;

    @ApiModelProperty(value = "项目名称")
    private String projectName;

    @ApiModelProperty(value = "项目权限(0、练习 1、考核 2、竞赛)")
    private Integer projectPermissions;

    @ApiModelProperty(value = "创建人")
    private String createUser;

    @ApiModelProperty(value = "创建时间")
    private String createTime;

    @ApiModelProperty(value = "项目id")
    private Integer projectId;

    @ApiModelProperty(value = "配置id")
    private Integer configId;


}
