package com.huoran.nakadai.entity.res;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class ExportSubscribedRecordsResp {

    @ApiModelProperty(value = "(产品名称)数据产品或课程名称")
    @Excel(name = "产品名称", orderNum = "1", mergeVertical = true, isImportField = "productName", width = 30)
    private String productName;

    @ApiModelProperty(value = "产品类型")
    @Excel(name = "产品类型", orderNum = "2", mergeVertical = true, isImportField = "productType", width = 30)
    private String productType;

    @ApiModelProperty(value = "起止时间")
    @Excel(name = "起止时间", orderNum = "3", mergeVertical = true, isImportField = "startAndEndTime", width = 30)
    private String startAndEndTime;

    @ApiModelProperty(value = "剩余期限")
    @Excel(name = "剩余期限", orderNum = "4", mergeVertical = true, isImportField = "remainingPeriod", width = 30)
    private String remainingPeriod;

    @ApiModelProperty(value = "订阅状态")
    @Excel(name = "订阅状态", orderNum = "5", mergeVertical = true, isImportField = "subscriptionStatus", width = 30)
    private String subscriptionStatus;

    @ApiModelProperty(value = "产品状态")
    @Excel(name = "产品状态", orderNum = "6", mergeVertical = true, isImportField = "productStatus", width = 30)
    private String productStatus;
}
