package com.huoran.nakadai.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @Author chen
 * @DATE 2020/10/10 9:37
 * @Version 1.0
 * 章节封装对象
 */
@Data
public class ChapterVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "章节ID")
    private Integer id;

    @ApiModelProperty(value = "章节名称")
    private String name;

    @ApiModelProperty(value = "排序号")
    private Integer sort;

    @ApiModelProperty(value = "小节集合")
    private List<SubsectionVO> subsectionList = new ArrayList<>();
}
