package com.huoran.nakadai.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @描述：文章管理
 * @作者: Rong
 * @日期: 2022-08-05
 */
@Data
@ApiModel(value = "文章标题判重")
public class ContentHeavyTitleReqVO {


    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键(编辑时需要传)",required = false)
    private Integer id;

    @ApiModelProperty(value = "标题(全库判重)",required = true)
    @NotNull(message = "标题不能为空")
    private String title;

    @ApiModelProperty(value = "类型(1.学习2.资讯)")
    @NotNull(message = "类型不能为空")
    private Integer typeId;

}