package com.huoran.nakadai.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author chen
 * @DATE 2022/3/7 16:45
 * @Version 1.0
 */
@Data
public class LogManagementListVo {

    @ApiModelProperty(value = "平台名称(1职站，2数据，3中台)")
    private Integer platformId;

    @ApiModelProperty(value = "最新版本名称")
    private String versionName;

    @ApiModelProperty(value = "版本状态，0已发布，1为草稿")
    private Integer draft;

    @ApiModelProperty(value = "版本数")
    private String versionNum;

    @ApiModelProperty(value = "更新时间")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    private Date updateTime;
}
