package com.huoran.nakadai.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class MessageNotificationVo {

    @ApiModelProperty(value = "通知ids")
    private String notifyId;

    @ApiModelProperty(value = "消息类型：1、点赞  2、回复 ")
    private Integer type;

    @ApiModelProperty(value = "消息是否已读   0未读  1已读")
    private Integer isRead;

    @ApiModelProperty(value = "评论id")
    private Integer commentId;

    @ApiModelProperty("回复时间")
    private Date createTime;

    @ApiModelProperty(value = "回复评论账号名称")
    private String commentUsername;

    @ApiModelProperty(value = "课程id")
    private Integer mallId;

    @ApiModelProperty(value = "评论内容")
    private String content;
}
