package com.huoran.nakadai.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Author chen
 * @DATE 2021/8/2 14:43
 * @Version 1.0
 */
@Data
public class OrderRenewVo {

    private static final long serialVersionUID = 64715584341L;

    @ApiModelProperty(value = "客户id")
    @NotNull(message = "请先选择客户再选择产品")
    private Integer customerId;

    @ApiModelProperty(value = "0为数据平台权限，1为课程权限")
    @NotNull(message = "权限不能为空")
    private Integer authority;

    @ApiModelProperty(value = "订单id")
    private Integer orderId;

    @ApiModelProperty(value = "产品 id")
    @NotEmpty(message = "产品id不能为空")
    private List<Integer> productId;

}
