/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

package com.huoran.nakadai.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.nakadai.entity.model.Category;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author lanhai
 */
@Mapper
public interface CategoryMapper extends BaseMapper<Category> {

	/**
	 * 根据父级id获取分类列表
	 *
	 * @param parentId
	 * @return
	 */
	List<Category> listByParentId(Long parentId);

	/**
	 * 根据店铺id获取分类列表
	 *
	 * @param shopId
	 * @return
	 */
	List<Category> tableCategory(Integer shopId);
}