package com.huoran.nakadai.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.common.response.R;
import com.huoran.nakadai.entity.ModelSysDemo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.nakadai.entity.req.PageCurriculumReq;
import com.huoran.nakadai.entity.req.PageModelReq;
import com.huoran.nakadai.entity.res.CurriculumRes;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author chen
 * @since 2022-03-04
 */
public interface ModelSysDemoMapper extends BaseMapper<ModelSysDemo> {

    IPage<ModelSysDemo> sysModelDemoList(Page<ModelSysDemo> page, @Param("req") PageModelReq req);

    IPage<ModelSysDemo> getAllModelListBySys(Page<ModelSysDemo> page, @Param("req") PageModelReq req);

    IPage<ModelSysDemo> InstitutionSourceModel(Page<ModelSysDemo> page, @Param("req") PageModelReq req);


}
