package com.huoran.nakadai.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.nakadai.entity.Notify;
import com.huoran.nakadai.entity.vo.MessageNotificationVo;
import org.apache.ibatis.annotations.Param;
import org.mapstruct.Mapper;

import java.util.List;

/**
 * <p>
 * 消息通知表 Mapper 接口
 * </p>
 *
 * @author chen
 * @since 2023-05-29
 */
@Mapper
public interface NotifyMapper extends BaseMapper<Notify> {

    List<MessageNotificationVo> messageNotificationList(@Param("accountId") String accountId, @Param("type")Integer type);
}
