package com.huoran.nakadai.mapper;

import com.huoran.nakadai.entity.PartnerSchemeManagementProductConfig;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 合伙人——方案管理——产品配置表 Mapper 接口
 * </p>
 *
 * @author chen
 * @since 2023-06-28
 */
public interface PartnerSchemeManagementProductConfigMapper extends BaseMapper<PartnerSchemeManagementProductConfig> {


    List<PartnerSchemeManagementProductConfig> obtainProductsAccordingToTheScheme(@Param("schemeId")Integer schemeId,@Param("isRelease")Integer isRelease);

}
