package com.huoran.nakadai.mapper;

import com.huoran.nakadai.entity.PlatformTeam;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.nakadai.entity.vo.TeamClassificationVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 幼教产业团队账号与分类中间表 Mapper 接口
 * </p>
 *
 * @author chen
 * @since 2023-12-12
 */
@Mapper
public interface PlatformTeamMapper extends BaseMapper<PlatformTeam> {
    List<TeamClassificationVO> getTeamClassificationVOByTeamId(@Param("teamId") Integer teamId);

    Integer getAccountIdByTeamId(@Param("teamId") Integer teamId);

}
