package com.huoran.nakadai.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.nakadai.entity.ProgramShoppingCart;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.nakadai.entity.req.PagePartnerArticleManagementReq;
import com.huoran.nakadai.entity.req.ProgramShoppingCartReq;
import com.huoran.nakadai.entity.res.PartnerArticleManagementResp;
import com.huoran.nakadai.entity.res.ProgramShoppingCartResp;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 小程序—购物车 Mapper 接口
 * </p>
 *
 * @author chen
 * @since 2023-06-09
 */
public interface ProgramShoppingCartMapper extends BaseMapper<ProgramShoppingCart> {
    IPage<ProgramShoppingCartResp> shoppingCartList(Page<ProgramShoppingCartResp> page, @Param("req") ProgramShoppingCartReq req);
}
