package com.huoran.nakadai.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.common.response.R;
import com.huoran.nakadai.entity.DataProduct;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.nakadai.entity.req.ListOfClientCommercialManagersReq;
import com.huoran.nakadai.entity.req.MiniProgramProductsReq;
import com.huoran.nakadai.entity.req.PageCurriculumReq;
import com.huoran.nakadai.entity.res.AppletsDataProductResp;
import com.huoran.nakadai.entity.res.BusinessManagerOrderResp;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 数据平台产品表 服务类
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
public interface IDataProductService extends IService<DataProduct> {

   R AppletsDataProductList( @Param("req") MiniProgramProductsReq req);
}
