package com.huoran.nakadai.service;

import com.huoran.common.response.R;
import com.huoran.nakadai.entity.ModelReferenceDemo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.nakadai.entity.req.PageImportModelReq;
import com.huoran.nakadai.entity.req.PageModelReq;

/**
 * <p>
 * 引用模型代码记录表 服务类
 * </p>
 *
 * @author chen
 * @since 2022-03-04
 */
public interface ModelReferenceDemoService extends IService<ModelReferenceDemo> {

    //模型列表
    R referenceDemoList(PageModelReq req);

    R sortReadingModelByTeacherSideSystem(PageModelReq req);

    //同步原始模型前删除原有数据
    R delModelInfoBySystemId(Integer systemId,Integer founder,Integer schoolId);

    //查询全部模型
    R getAllModelList(PageImportModelReq req);

    R teacherModelList(PageImportModelReq req);


    //同步模型
    R synchronizationMdel(Integer systemId, Integer accountId);


    //职站同步模型
    R synchronizationMdelByOccupationlab(Integer systemId,Integer schoolId,Integer accountId);



    //职站读取系统内置模型列表 读取自中台引用模型的数据
    R referenceDemoListByNakadai(PageModelReq req);

    R studentModelList(PageImportModelReq req);


    //教师端：读取中台的模型列表的数据
    R systemModelByTeacher(PageImportModelReq req);


}
