package com.huoran.nakadai.service;

import com.huoran.common.response.R;
import com.huoran.nakadai.entity.ModelReferenceCategory;
import com.huoran.nakadai.entity.ModelSysCategory;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.nakadai.entity.req.ModelSysDemoReq;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * <p>
 * 源模型-分类表 服务类
 * </p>
 *
 * @author chen
 * @since 2022-03-03
 */
public interface ModelSysCategoryService extends IService<ModelSysCategory> {
    List<ModelSysCategory> sourceModelClassification(ModelSysDemoReq req);

    R deleteSourceModelCategory(@RequestParam("categoryId") @ApiParam(value = "分类id") Integer categoryId);

    boolean checkRepeat(ModelSysCategory modelSysCategory, Integer type);

    List<ModelSysCategory> primaryClassification();

    List<ModelSysCategory> classificationByPid(Integer parentId);


}
