package com.huoran.nakadai.service;

import com.huoran.common.response.R;
import com.huoran.nakadai.entity.ModelSysDemo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.nakadai.entity.req.CopyTheModelToTheNakadaiReq;
import com.huoran.nakadai.entity.req.PageCurriculumReq;
import com.huoran.nakadai.entity.req.PageModelReq;
import org.springframework.web.bind.annotation.RequestBody;

import java.io.IOException;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author chen
 * @since 2022-03-04
 */
public interface ModelSysDemoService extends IService<ModelSysDemo> {
    R sysModelDemoList(PageModelReq req);

    //运行代码
    R runCode(String code) throws IOException;

    R getAllModelListBySys(PageModelReq req);

    R InstitutionSourceModel(PageModelReq req);

    R copyTheModelToTheNakadai(CopyTheModelToTheNakadaiReq req);
}
