package com.huoran.nakadai.service;

import com.aliyuncs.exceptions.ClientException;
import com.huoran.common.entity.FilesResult;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

/**
 * @Author chen
 * @DATE 2020/9/1 22:01
 * @Version 1.0
 */
public interface OSSFileService {

    FilesResult upload(MultipartFile file) throws IOException;

    FilesResult fileUpload(MultipartFile file) throws IOException;

    List<String> fileDeletion(List<String> keys);

    String getPlayAuth(String videoId) throws ClientException;

    void removeVideo(String videoId) throws ClientException;

}
