package com.huoran.nakadai.service;

import com.huoran.common.response.R;
import com.huoran.nakadai.entity.PlatformTeamAccount;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.nakadai.entity.req.*;

import javax.servlet.http.HttpServletResponse;
import java.util.Map;

/**
 * <p>
 * 幼教产业平台团队账号表 服务类
 * </p>
 *
 * @author chen
 * @since 2023-12-12
 */
public interface PlatformTeamAccountService extends IService<PlatformTeamAccount> {

    void generationQrCode(String url, HttpServletResponse response);

    R platformTeamAccountMergeList(PlatformTeamAccountListReq req);

    Map<String, Object> kindergartenWeChatAccountApplication(AppletCallbackReq appletCallbackReq) throws Exception;

    R kindergartenWeChatApplication(AppletCallbackReq appletCallbackReq);

    R getUserAccountByPhone(AppletCallbackReq appletCallbackReq);

    R getTeamsByPlatformId(String accountId, Integer platformId);

    R pagePlatformTeamAccountList(PlatformTeamAccountListReq req);

    R inviteJoinOrganization(InviteJoinInfo inviteJoinInfo);

    R transferTeam(TransferTeamReq transferTeamReq);

    String getCurrentPlatformAccount(String accountId, Integer platformId);
}
