package com.huoran.nakadai.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.nakadai.entity.PlatformTeam;
import com.huoran.nakadai.entity.vo.TeamClassificationVO;

import java.util.List;

/**
 * <p>
 * 幼教产业团队账号与分类中间表 服务类
 * </p>
 *
 * @author chen
 * @since 2023-12-12
 */
public interface PlatformTeamService extends IService<PlatformTeam> {
    List<TeamClassificationVO> getTeamClassificationVOByTeamId(Integer teamId);

    //根据团队id获取团队负责人账号id
    Integer getAccountIdByTeamId(Integer teamId);
}
