package com.huoran.nakadai.service.impl;

import com.huoran.nakadai.entity.CollectionProvider;
import com.huoran.nakadai.mapper.CollectionProviderMapper;
import com.huoran.nakadai.service.CollectionProviderService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 收藏供应商 服务实现类
 * </p>
 *
 * @author chen
 * @since 2024-01-12
 */
@Service
public class CollectionProviderServiceImpl extends ServiceImpl<CollectionProviderMapper, CollectionProvider> implements CollectionProviderService {

    @Override
    public CollectionProvider getCollectionProviderByUserIdAndProviderId(Integer teamId,Integer accountId) {
        return baseMapper.getCollectionProviderByUserIdAndProviderId(teamId,accountId);
    }
}
