package com.huoran.nakadai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huoran.nakadai.entity.HrIndustry;
import com.huoran.nakadai.mapper.HrIndustryMapper;
import com.huoran.nakadai.service.IHrIndustryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 行业 服务实现类
 * </p>
 *
 * @author huoran
 * @since 2021-06-29
 */
@Service
public class HrIndustryServiceImpl extends ServiceImpl<HrIndustryMapper, HrIndustry> implements IHrIndustryService {

    @Override
    public List<HrIndustry> queryIndustry(Integer industryClassId) {
        return this.baseMapper.selectList(new QueryWrapper<HrIndustry>()
                .eq("industry_class_id",industryClassId));
    }
}
