/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

package com.huoran.nakadai.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.huoran.nakadai.entity.app.dto.MyOrderDto;
import com.huoran.nakadai.entity.model.Order;
import com.huoran.nakadai.entity.req.OrderPageReq;
import com.huoran.nakadai.mapper.OrderMapper;
import com.huoran.nakadai.service.MyOrderService;
import com.huoran.nakadai.utils.PageAdapter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author lgh on 2018/09/15.
 */
@Service
public class MyOrderServiceImpl extends ServiceImpl<OrderMapper, Order> implements MyOrderService {

    @Autowired
    private OrderMapper orderMapper;

    @Override
    public IPage<Order> pageMyOrderByUserIdAndStatus(Page<Order> orderPage,OrderPageReq orderParam) {
        return orderMapper.listOrdersByUserId(orderPage, orderParam);
    }

}
