package com.huoran.nakadai.service.impl;

import com.huoran.common.response.R;
import com.huoran.nakadai.entity.Notify;
import com.huoran.nakadai.entity.vo.MessageNotificationVo;
import com.huoran.nakadai.mapper.NotifyMapper;
import com.huoran.nakadai.service.NotifyService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 消息通知表 服务实现类
 * </p>
 *
 * @author chen
 * @since 2023-05-29
 */
@Service
public class NotifyServiceImpl extends ServiceImpl<NotifyMapper, Notify> implements NotifyService {

    @Override
    public R messageNotificationList(String accountId,Integer type) {
        List<MessageNotificationVo> messageNotificationVos = baseMapper.messageNotificationList(accountId, type);
        return R.ok().put("notificationList",messageNotificationVos);
    }
}
