package com.huoran.nakadai.service.impl;

import com.huoran.nakadai.entity.PartnerSchemeManagementProductConfig;
import com.huoran.nakadai.mapper.PartnerSchemeManagementProductConfigMapper;
import com.huoran.nakadai.service.PartnerSchemeManagementProductConfigService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 合伙人——方案管理——产品配置表 服务实现类
 * </p>
 *
 * @author chen
 * @since 2023-06-28
 */
@Service
public class PartnerSchemeManagementProductConfigServiceImpl extends ServiceImpl<PartnerSchemeManagementProductConfigMapper, PartnerSchemeManagementProductConfig> implements PartnerSchemeManagementProductConfigService {

    @Override
    public List<PartnerSchemeManagementProductConfig> obtainProductsAccordingToTheScheme(Integer schemeId,Integer isRelease) {
        return baseMapper.obtainProductsAccordingToTheScheme(schemeId,isRelease);
    }
}
