package com.huoran.nakadai.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.common.response.R;
import com.huoran.nakadai.entity.PartnerSchemeManagement;
import com.huoran.nakadai.entity.req.PagePartnerArticleManagementReq;
import com.huoran.nakadai.entity.res.PartnerArticleManagementResp;
import com.huoran.nakadai.mapper.PartnerSchemeManagementMapper;
import com.huoran.nakadai.service.PartnerSchemeManagementService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 合伙人——方案管理 服务实现类
 * </p>
 *
 * @author chen
 * @since 2023-03-20
 */
@Service
public class PartnerSchemeManagementServiceImpl extends ServiceImpl<PartnerSchemeManagementMapper, PartnerSchemeManagement> implements PartnerSchemeManagementService {

    @Override
    public R schemeList(PagePartnerArticleManagementReq req) {
        Page<PartnerArticleManagementResp> page = new Page<PartnerArticleManagementResp>(req.getPageNum(), req.getPageSize());
        IPage<PartnerArticleManagementResp> pageList = baseMapper.schemeList(page, req);
        return R.ok().put("data", pageList);
    }
}
