package com.huoran.nakadai.service.impl;

import com.huoran.common.entity.UserAccount;
import com.huoran.nakadai.entity.PlatformTeamClassification;
import com.huoran.nakadai.mapper.PlatformTeamClassificationMapper;
import com.huoran.nakadai.service.PlatformTeamClassificationService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 幼教产业平台团队分类表 服务实现类
 * </p>
 *
 * @author chen
 * @since 2023-12-12
 */
@Service
public class PlatformTeamClassificationServiceImpl extends ServiceImpl<PlatformTeamClassificationMapper, PlatformTeamClassification> implements PlatformTeamClassificationService {
    @Override
    public void updateByAccountId(Integer accountId, Integer status) {
        baseMapper.updateByAccountId(accountId, status);
    }

    @Override
    public List<UserAccount> selectAccountList(String openId) {
        return baseMapper.selectAccountList(openId);
    }
}
