package com.huoran.nakadai.service.impl;

import com.huoran.nakadai.entity.PlatformTeam;
import com.huoran.nakadai.entity.vo.TeamClassificationVO;
import com.huoran.nakadai.mapper.PlatformTeamMapper;
import com.huoran.nakadai.service.PlatformTeamService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 幼教产业团队账号与分类中间表 服务实现类
 * </p>
 *
 * @author chen
 * @since 2023-12-12
 */
@Service
public class PlatformTeamServiceImpl extends ServiceImpl<PlatformTeamMapper, PlatformTeam> implements PlatformTeamService {

    @Override
    public List<TeamClassificationVO> getTeamClassificationVOByTeamId(Integer teamId) {
        return baseMapper.getTeamClassificationVOByTeamId(teamId);
    }

    @Override
    public Integer getAccountIdByTeamId(Integer teamId) {
        return baseMapper.getAccountIdByTeamId(teamId);
    }
}
