package com.huoran.nakadai.service.impl;

import com.huoran.nakadai.entity.SupplierClassificationConfig;
import com.huoran.nakadai.mapper.SupplierClassificationConfigMapper;
import com.huoran.nakadai.service.SupplierClassificationConfigService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 供应商分类配置表 服务实现类
 * </p>
 *
 * @author chen
 * @since 2023-12-27
 */
@Service
public class SupplierClassificationConfigServiceImpl extends ServiceImpl<SupplierClassificationConfigMapper, SupplierClassificationConfig> implements SupplierClassificationConfigService {

    @Override
    public boolean deleteByAccountId(Integer accountId) {
       return baseMapper.deleteByAccountId(accountId);
    }
}
