package com.huoran.users.config;

import org.apache.commons.codec.binary.Base64;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;


public class AliRealNameAuthenticationConfig {
    public static final String ALI_API_HOST = "https://cardnumber.market.alicloudapi.com";



    //营业执照
    public static final String ALI_API_BUSINESS_LICENSE_HOST = "https://bizlicense.market.alicloudapi.com";

    public static final String ALI_API_BUSINESS_LICENSE_PATH = "/rest/160601/ocr/ocr_business_license.json";




    public static final String ALI_API_PATH = "/rest/160601/ocr/ocr_idcard.json";
    public static final String ALI_API_APPCODE = "4c22c2b34b2d4b5aaa57186a49aa3a4c";
//    public static final String ALI_API_APPCODE = "62512c9aa7714735a182bb08a0173f22";

    public static final String ALI_IDCHECK_HOST = "https://sxidcheck.market.alicloudapi.com";
    public static final String ALI_IDCHECK_PATH = "/idcard/check";

    public static final String GET_APP_CODE_LINK = "https://idenauthen.market.alicloudapi.com/idenAuthentication";

    public static Map<String, String> buildHeaders() {
        Map<String, String> headers = new HashMap<>();
        headers.put("Authorization", "APPCODE " + ALI_API_APPCODE);
        headers.put("Content-Type", "application/json; charset=UTF-8");
        return headers;
    }

    public static String imgBase64(MultipartFile file) {
        String imgBase64 = "";
        try {
            byte[] content = file.getBytes();
            imgBase64 = new String(Base64.encodeBase64(content));
        } catch (IOException e) {
            e.printStackTrace();
        }
        return imgBase64;
    }
}
