package com.huoran.users.controller;

import com.huoran.common.response.R;
import com.huoran.users.entity.req.RegisterReq;
import com.huoran.users.service.IHrUserAccountService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

@Api(tags = "注册管理")
@RestController
@RequestMapping("/users/register")
public class RegisterController {

    @Autowired
    private IHrUserAccountService userAccountService;

    @ApiOperation(value = "学生账号申请注册")
    @PostMapping("/studentAccountApplication")
    public R studentAccountApplication(@RequestBody @Valid RegisterReq registerReq) {
        return userAccountService.studentAccountApplication(registerReq);
    }

}
