package com.huoran.users.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 平台表
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
@Data
@TableName("sys_platform")
public class SysPlatform implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 平台id
     */
    @TableId(value = "platform_id", type = IdType.AUTO)
    private Integer platformId;

    /**
     * 平台名称
     */
    private String platformName;

    /**
     * 平台域名
     */
    private String domainName;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

}
