package com.huoran.users.entity.dto;

import com.huoran.users.entity.HrUserAccount;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @Author chen
 * @DATE 2021/7/7 16:24
 * @Version 1.0
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "LoginDTO",description = "登录传输信息")
public class LoginDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("token")
    private String token;

    @ApiModelProperty("是否为客户")
    private boolean customer;

    @ApiModelProperty("客户名称")
    private String customerName;

    @ApiModelProperty("手机绑定账号信息")
    private ArrayList<HrUserAccount> userAccounts;
}
