package com.huoran.users.entity.dto;

import lombok.Data;

import java.util.Map;

@Data
public class PushDTO {
    /**
     * 用户openid
     */
    private String touser;
    /**
     * //模版id
     */
    private String template_id;
    /**
     * 默认
     */
    private String page = "pages/index/index";
    /**
     * 跳转小程序页面
     */
    private MiniprogramData miniprogram;
    /**
     * 放大那个推送字段
     */
    private String emphasisKeyword = "keyword1.DATA";
    /**
     * 推送文字
     */
    private Map<String, String> data;

}
