package com.huoran.users.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class AccountRegisterReq {

    @ApiModelProperty(value = "姓名,可不填写")
    private String userName;

    @ApiModelProperty(value = "账号,可不填写")
    private String account;

    @ApiModelProperty(value = "密码,可不填写")
    private String password;

    @ApiModelProperty(value = "平台id，个人端默认为7",example = "7")
    @NotNull(message = "请选择平台注册！")
    private String platformId;

    @ApiModelProperty(value = "唯一标识账号")
    @NotNull(message = "唯一标识不能为空！")
    private String uniqueIdentification;

    @ApiModelProperty(value = "手机号")
    @NotNull(message = "手机号不能为空")
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "小程序openid")
    private String appOpenId;

//    @ApiModelProperty(value = "意向省份")
//    private Integer provinceId;
//
//    @ApiModelProperty(value = "意向城市")
//    private Integer cityId;

}
