package com.huoran.users.entity.vo;

/**
 * @description
 * @author: Mr.JK
 * @create: 2021-07-05 18:25
 **/


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @description
 * @author: Mr.JK
 * @create: 2021-06-22 15:47
 **/
@Data
@Accessors(chain = true)
@ApiModel(value = "CheckVo",description = "验证码校验参数")
public class CheckVo implements Serializable {

    private static final long serialVersionUID = 1L;
    //用户id
    @ApiModelProperty("用户id")
    private Integer userId;
    //用户的邮箱地址
    @ApiModelProperty("用户的邮箱地址")
    private String email;
    //验证码
    @ApiModelProperty("验证码")
    private String checkCode;
    //用户电话号码
    @ApiModelProperty("用户电话号码")
    private String phone;
    //验证码存入时间（实际时间-允许验证时间）
    @ApiModelProperty("验证码存入时间（实际时间-允许验证时间）")
    private String setTime;
    //验证码类型(1邮箱验证码，2手机验证码)
    @ApiModelProperty("验证码类型(1邮箱验证码，2手机验证码)")
    private Integer types;
    //用户输入的验证码
    @ApiModelProperty("用户输入的验证码")
    private String code;
    @ApiModelProperty("学校id")
    private String schoolId;
    //密码
    @ApiModelProperty("密码")
    private String password;
    @ApiModelProperty(value = "验证key")
    private String opener;

    @ApiModelProperty(value = "用户账号")
    private String account;

    @ApiModelProperty(value = "平台标识,1职站，2数据，3中台")
    private String platform;

    @ApiModelProperty(value = "账号标识，0->教师端 1->学生端 2->无端")
    private String mark;

}
