package com.huoran.users.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.HashMap;

@Data
public class WxMssVo {
    //小程序用户的OpenId
    @ApiModelProperty("openId")
    private String touser;
    //模板id
    @ApiModelProperty("模板ID")
    private String template_id;
    //跳转首页
    @ApiModelProperty("跳转首页route")
    private String page;
    //接口凭证
    @ApiModelProperty("接口凭证")
    private String access_token;
    //环境状态
    @ApiModelProperty("环境状态")
    private String miniprogram_state;
    //语言
    @ApiModelProperty("语言")
    private String lang;
    //请求路径
    @ApiModelProperty("请求路径")
    private String request_url;
    //放置数据
    @ApiModelProperty("详细内容")
    private HashMap<String, Object> map = new HashMap<>(3);

}
