package com.huoran.users.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huoran.users.entity.EnterpriseCertification;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.users.entity.req.EnterpriseCertificationLIstReq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 企业认证审核 Mapper 接口
 * </p>
 *
 * @author chen
 * @since 2023-12-18
 */
@Mapper
public interface EnterpriseCertificationMapper extends BaseMapper<EnterpriseCertification> {

    IPage<EnterpriseCertification> selectEnterpriseCertificationList(IPage<EnterpriseCertification> page, @Param("req")EnterpriseCertificationLIstReq req);

    EnterpriseCertification enterpriseCertificationDetails(@Param("id")Integer id);


    Integer deleteTeamInformation(@Param("accountId")Integer accountId);

}
