package com.huoran.users.mapper;

import com.huoran.users.entity.DataPermission;
import com.huoran.users.entity.Supplier;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 供应商表 Mapper 接口
 * </p>
 *
 * @author chen
 * @since 2022-10-13
 */
public interface SupplierMapper extends BaseMapper<Supplier> {

    List<Supplier> selectSupplierList(@Param("roles") String roles,@Param("permissionId") Integer permissionId);

}
