package com.huoran.users.mapper;

import com.huoran.users.entity.UserRole;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.users.entity.res.UserRoleResp;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 用户角色表 Mapper 接口
 * </p>
 *
 * @author chen
 * @since 2021-09-29
 */
public interface UserRoleMapper extends BaseMapper<UserRole> {

    List<Integer> selectAccountRoles(@Param("accountId")String accountId,@Param("teamId")Integer teamId);

    List<String> checkIsSuperTube(String accountId);

    List<UserRoleResp> getUserRoleByAccountId(@Param("accountId") Integer accountId);

    String getUserAllRole(@Param("accountId")Integer accountId, @Param("platformId")Integer platformId);

    List<Integer> getAccountIdsBySchoolId(@Param("schoolId")Integer schoolId,  @Param("platformId")Integer platformId);
}
