package com.huoran.users.service;

import com.huoran.users.entity.DataPermission;
import com.huoran.users.entity.Permission;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.users.entity.vo.DataPermissionVo;

import java.util.List;

/**
 * <p>
 * 权限表 服务类
 * </p>
 *
 * @author chen
 * @since 2021-09-29
 */
public interface PermissionService extends IService<Permission> {

    List<Permission> queryAllMenu(Integer platformId,Integer port);

    void removeChildById(Integer id);

    void saveRolePermissionRelationShip(Integer roleId, Integer[] permissionId);

    List<Permission> selectRoleMenu(String roleIds,Integer platformId);

    void assigningDataPermissions(Integer id, List<DataPermission> dataPermissionList);

    List<DataPermissionVo> queryDataPermission(String roleIds);
}
