package com.huoran.users.service;

import com.huoran.common.response.R;
import com.huoran.users.entity.Role;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 角色表 服务类
 * </p>
 *
 * @author chen
 * @since 2021-09-29
 */
public interface RoleService extends IService<Role> {

    boolean repeat(Role role);

    boolean batchRemove(List<Integer> roleIds);

    boolean addCustomerAdmin(Integer schoolId, String accountId);

    Role getRoleInfo(Integer schoolId,String roleName,Integer platformId);

    R reassignmentPermissions();
}
