package com.huoran.users.service;

import com.huoran.common.response.R;
import com.huoran.users.entity.UserRole;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.users.entity.res.UserRoleResp;

import java.util.List;

/**
 * <p>
 * 用户角色表 服务类
 * </p>
 *
 * @author chen
 * @since 2021-09-29
 */
public interface UserRoleService extends IService<UserRole> {

    List<Integer> queryAccountRoles(String accountId,Integer teamId);

    boolean checkIsSuperTube(String accountId);

    List<UserRoleResp> getUserRoleByAccountId(Integer accountId);

    String getUserAllRole(Integer accountId, Integer platformId);

    List<Integer> getAccountIdsBySchoolId(Integer schoolId, Integer platformId);

    boolean queryTeacherAccount(String id);
}
