package com.huoran.users.utils.poi;

import lombok.ToString;

@ToString
public enum CommonCode implements ResultCode {
    EXCEL_FILE_INVALID(false, 10009, "上传excel文件错误！"),
    EXCEL_FILE_NULL(false, 100011, "导入失败，导入数据为空！"),
    EXCEL_FILE_FORMAT_ERROR(false, 100012, "请根据模板使用说明录入正确的用户信息！");

    //操作是否成功
    boolean success;
    //操作代码
    int code;
    //提示信息
    String message;

    CommonCode(boolean success, int code, String message) {
        this.success = success;
        this.code = code;
        this.message = message;
    }

    @Override
    public boolean success() {
        return success;
    }

    @Override
    public int code() {
        return code;
    }

    @Override
    public String message() {
        return message;
    }


}
