package com.huoran.users.test;

import cn.hutool.json.JSONObject;
import com.huoran.users.entity.vo.WxMssVo;
import com.huoran.users.service.IHrUserInfoService;
import com.huoran.users.service.RoleService;
import com.huoran.users.utils.WeChatUtil;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.IOException;
import java.util.Date;
import java.util.HashMap;

/**
 * @Author chen
 * @DATE 2021/7/5 18:06
 * @Version 1.0
 */
@RunWith(SpringRunner.class)
@SpringBootTest
public class JunitTest {

    @Autowired
    private RoleService roleService;
    @Autowired
    private IHrUserInfoService userInfoService;

    @Test
    public void test() {
        roleService.addCustomerAdmin(99,"2");
    }

    @Test
    public void publishModelMessage(){
        WxMssVo wxMssVo = new WxMssVo();
        //设置模板id
        wxMssVo.setTemplate_id("8pDVfWYqh9c-nn3CeA1NXM58pmoyQXZzkVnRFKy_l2A");
        wxMssVo.setMiniprogram_state("trial");
        wxMssVo.setLang("zh_CN");
        String accessToken=null;
        try {
            //设置openId
            wxMssVo.setTouser("osj9X5LWbk5nPxxw0AJ5un5XJ8cs");
//            设置accessToken
            accessToken= WeChatUtil.getAccessToken();
        } catch (IOException e) {
            e.printStackTrace();
        }
//        设置小程序 跳转首页
        wxMssVo.setPage("pages/index/index");

        wxMssVo.setRequest_url("https://api.weixin.qq.com/cgi-bin/message/subscribe/send?access_token=" + accessToken);
//        将模板中的值一一赋值 发送到小程序的数据要转化为json格式 可以使用下面的方法直接拼接成JSONObject
        JSONObject jsonObject = new JSONObject();
        JSONObject dataInfo = new JSONObject();
        dataInfo.putOpt("value", new Date());
        jsonObject.putOpt("time5", dataInfo);

//        使用map结合模板 后续再加遍历拼接成JSONObject
        HashMap<String, Object> map = new HashMap<>(3);
        //根据模板写值
        map.put("thing2", "测试学校");
        map.put("thing8","下班打卡");
        map.put("phrase10","下班打卡");
        wxMssVo.setMap(map);
        WeChatUtil.sendTemplateMessage(wxMssVo);



        /*String openid = "osj9X5LWbk5nPxxw0AJ5un5XJ8cs";
        String templateId = "8pDVfWYqh9c-nn3CeA1NXM58pmoyQXZzkVnRFKy_l2A";
        //拼接推送的模版
        PushDTO pushDTO = new PushDTO();

        //用户的openId
        pushDTO.setTouser(openid);
        pushDTO.setTemplate_id(templateId);
        MiniprogramData miniprogram = new MiniprogramData();
        pushDTO.setMiniprogram(miniprogram);
        Map<String, String> data = new HashMap<>();
        data.put("thing2", "新婴儿奶瓶");
        data.put("thing8", "11231323");
        data.put("phrase10", "下班打卡");
        pushDTO.setData(data);
        System.out.println("发送的模板" + data);
        Date date = new Date();
        ResponseEntity<String> stringResponseEntity = userInfoService.messageNotification(pushDTO);

        System.out.println(stringResponseEntity);*/



    }

}
