package com.huoran.common.aop.annotation;

import java.lang.annotation.*;

/**
 * LogAnnotation
 *
 * @author cheney
 * @version V1.0
 * @date 2022年7月28日
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface LogAnnotation {
    /**
     * 模块
     */
    String title() default "";

    /**
     * 功能
     */
    String action() default "";
}
