package com.huoran.common.constant;

/**
 * @ProjectName: huorantech
 * @Package: com.huoran.data_platform.constant
 * @ClassName: DelConstant
 * @Description: 理论课程
 * @Author: Maureen.Rong
 * @CreateDate: 2021/6/30 16:09
 * @UpdateDate: 2021/6/30 16:09
 * @Version: 1.0
 */
public class ClassificationOfTheoreticalCoursesConstant {

    //学校分类
    public static final Integer SCHOOL_CLASSIFICATION = 1;

    //中台分类
    public static final Integer NAKADAI_CLASSIFICATION = 0;


    /**
     * 理论课程范围  (0:本校内 1:全平台 2.指定区域、院校)
     */

    //本校
    public static final Integer OUR_SCHOOL = 0;
    //全平台
    public static final Integer ALL_PLATFORMS = 1;
    //指定范围
    public static final Integer SPECIFIED_RANGE = 2;

}
