package com.huoran.common.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;

/**
 * @Author chen
 * @DATE 2021/7/13 9:52
 * @Version 1.0
 */
@Data
@ToString
@AllArgsConstructor
@NoArgsConstructor
public class FilesResult implements Serializable {

    private static final long serialVersionUID = 1L;

    // 阿里云存储文件名
    private String ossFileName;
    // 文件在储存空间的路径
    private String fileUrl;
    // 文件类型
    private String fileType;
    // 视频资源Id
    private String fileId;
    //文件大小
    private String fileSize;
    //原传文件名
    private String originalFileName;

}
