package com.huoran.common.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @description 前端判分规则实体
 * @author: Mr.JK
 * @create: 2021-08-18 17:26
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class LcJudgmentRuleReq {

    @ApiModelProperty(value = "操作id串")
    private String operationIds;

    @ApiModelProperty(value = "题目类型(1选择 2判断 3填空 4问答 5指标结果)")
    private String type;

    @ApiModelProperty(value = "空格一",notes = "选择题、判断题填subject_id,填空题、问答题、指标结果填需要字段")
    private String emptyOne;

    @ApiModelProperty(value = "空格二",notes = "选择题、判断题填item_id,填空题、问答题、指标结果填需要字段")
    private String emptyTwo;

    @ApiModelProperty(value = "答案id(缓存使用)")
    private String answerId;

}