package com.huoran.common.entity.resp;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @描述：
 * @作者: Rong
 * @日期: 2022/4/19 17:06
 */
@Data
public class PhoneBindingrResp {
    @ApiModelProperty(value = "用户id")
    private Integer userId;

    @ApiModelProperty(value = "账号id")
    private Integer accountId;

    @ApiModelProperty(value = "类型")
    private Integer type;

    @ApiModelProperty(value = "用户姓名")
    private String userName;

    @ApiModelProperty(value = "唯一标识账号")
    private String uniqueIdentificationAccount;

    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty(value = "账号")
    private String account;

    @ApiModelProperty(value = "工号")
    private String workNumber;

    @ApiModelProperty(value = "登陆次数")
    private Integer logInNumber;

    @ApiModelProperty(value = "平台名称")
    private String platformName;

    @ApiModelProperty(value = "是否禁用（0->禁用，1->启用）")
    private Integer isEnable;

    @ApiModelProperty(value = "最后登陆时间")
    private String lastLoginTime;

    @ApiModelProperty(value = "角色")
    private String roleName;

    @ApiModelProperty(value = "绑定组织名称")
    private String schoolName;

    @ApiModelProperty(value = "绑定时间")
    private String phoneBindingTime;

}
