package com.huoran.common.exception;

import lombok.Data;

/**
 * @description 处理异常结果
 * @author: Mr.JK
 * @create: 2021-06-07 10:56
 **/
@Data
public class ExceptionResult {

    private int status;

    private String message;

    private Long timestamp;

    public ExceptionResult(ExceptionEnum em){
        this.status = em.getCode();
        this.message = em.getMsg();
        this.timestamp = System.currentTimeMillis();
    }
}
