package com.huoran.common.utils;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Random;

/**
 * @description 验证码工具类
 * @author: Mr.JK
 * @create: 2021-06-22 15:56
 **/
public class CheckCodeUtils {

    /**
     * 获取六位随机数验证码
     * @return
     */
    public String sendCode(){

        Random random = new Random();
        String code="";
        for (int i=0;i<6;i++)
        {
            code+=random.nextInt(10);
        }
        return code;
    }

    /**
     * 生成时间
     */
    public String letTimes(int letTime){

        Calendar instance = Calendar.getInstance();
        instance.add(Calendar.MINUTE,+letTime);
        Date time = instance.getTime();
        SimpleDateFormat myFmt=new SimpleDateFormat("yyyy:MM:dd HH:mm:ss");
        String format1 = myFmt.format(time);

        return format1;
    }

}
