package com.huoran.common.utils;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @ProjectName: huorantech
 * @Package: com.huoran.common.utils
 * @ClassName: CheckDateUtil
 * @Description: 校验用户输入的时间
 * @Author: Maureen.Rong
 * @CreateDate: 2021/8/19 11:12
 * @UpdateDate: 2021/8/19 11:12
 * @Version: 1.0
 */
public class CheckDateUtil {
    /**
     * 如果为true表示
     * 校验用户输入的时间
     *
     * @param startTime
     * @return
     */
    public static boolean checStartkTime(String startTime) {
        try {
            DateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            //用户输入的时间
            Date dateTime1 = dateFormat.parse(startTime);
            //当前时间
            String DateStr2 = DateUtils.nowTime();
            Date dateTime2 = dateFormat.parse(DateStr2);
            int i = dateTime1.compareTo(dateTime2);
            boolean ret = false;
            ret = i > 0;
            return ret;
        } catch (Exception e) {
            return false;
        }
    }
}
