package com.huoran.competition.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;


@Data
@ApiModel(value = "批量导入活动排名所需")
public class ExcelImpRankReq {

    @ApiModelProperty(value = "团队名称")
    private String teamName;


    @ApiModelProperty(value = "姓名")
    @NotNull(message = "姓名不能为空！")
    private String userName;

    @ApiModelProperty(value = "学号")
    private String workNumber;

    @ApiModelProperty(value = "学校不能为空")
    @NotNull(message = "学校不能为空！")
    private String schoolName;


    @ApiModelProperty(value = "分数")
    @NotNull(message = "分数不能为空！")
    private String score;

    @ApiModelProperty(value = "耗时")
    private String timeSum;

    public String getTimeSum() {
        if ("".equals(timeSum) || timeSum == null) {
            return "0";
        }
        return timeSum;
    }


}
