package com.huoran.competition.entity.req;

import com.huoran.competition.entity.CompetitionStage;
import com.huoran.competition.entity.CompleteCompetitionSetup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@ApiModel(value = "前台阶段排名要求")
public class FrontDeskStageRankingReq extends PageReq {


    @ApiModelProperty(value = "活动Id")
    private Integer competitionId;

    @ApiModelProperty(value = "当前的阶段id")
    private Integer stageId;


    @ApiModelProperty(value = "团队id(逗号隔开)")
    private String teamIds;

    @ApiModelProperty(value = "完整活动设置")
    private CompleteCompetitionSetup competitionSetup;

    @ApiModelProperty(value = "活动阶段设置表")
    private CompetitionStage competitionStage;
}