package com.huoran.competition.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


@Data
@ApiModel(value = "积分赛总排名")
public class OverallStandingsInThePointsRaceReq extends PageReq {


    @ApiModelProperty(value = "活动Id")
    private Integer competitionId;

    @ApiModelProperty(value = "要查询的阶段id(多个)")
    private List<Integer> stageIds;

    @ApiModelProperty(value = "发布类型(0默认发布 1批量手动导入)")
    private Integer publicationType;

    @ApiModelProperty(value = "当前定位阶段Id")
    private Integer locationStageId;



}