package com.huoran.competition.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @描述：活动管理表
 * @作者: Rong
 * @日期: 2022-06-16
 */
@Data
@ApiModel(value = "活动列表分页")
public class PageCompetitionListReq extends PageReq{




    @ApiModelProperty(value = "关键词(活动名称/创建人)",example = "事")
    private String keyWord;

    @ApiModelProperty(value = "发布状态（0未发布，1已发布）")
    private Integer publishStatus;


    @ApiModelProperty(value = "平台来源(5:幼儿园，6：供应商)", example = "5")
    private Integer platformSource;

    @ApiModelProperty(value = "活动范围(1:全平台 5:幼儿园，6：供应商)", example = "0")
    private String competitionScope;


    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;
/*

    @ApiModelProperty(value = "省")
    private Integer provinceId;


    @ApiModelProperty(value = "市")
    private Integer cityId;


    @ApiModelProperty(value = "排序(1:近期排名 2.最近更新)")
    private Integer sequence;*/

    @ApiModelProperty(value = "账号id")
    private Integer accountId;

    @ApiModelProperty(value = "是否登录:-1未登录/1已登录")
    private Integer isLogin;

    @ApiModelProperty(value = "创建来源(0默认平台创建 1...待定)")
    private Integer createSource;
}