package com.huoran.competition.entity.req;

import com.huoran.competition.entity.CompetitionStage;
import com.huoran.competition.entity.CompleteCompetitionSetup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


@Data
@ApiModel(value = "积分赛总排名")
public class StageTeamScoreDetailsReq extends PageReq{


    @ApiModelProperty(value = "活动Id")
    private Integer competitionId;

    @ApiModelProperty(value = "当前的阶段id")
    private Integer stageId;


    /*@ApiModelProperty(value = "多个阶段id(逗号隔开)")
    private String stageIds;*/

    @ApiModelProperty(value = "团队id")
    private Integer teamId;

    @ApiModelProperty(value = "是否为总分排名(1为是 默认0不是)")
    private Integer isOverallRanking;

    @ApiModelProperty(value = "要查询的阶段id(多个)")
    private List<Integer> stageIds;
}