package com.huoran.competition.entity.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.huoran.competition.entity.resp.CompetitionRangeResp;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


@Data
public class CompetitionDetailsVO  {


    @ApiModelProperty(value = "活动id")
    private Integer contestId;

    @ApiModelProperty(value = "活动名称")
    private String contestName;

    @ApiModelProperty(value = "活动形式（0为个人赛，1为团队赛）默认为0")
    private Integer competitionType;

    @ApiModelProperty(value = "赛制（0为积分赛，1为淘汰赛，2为单项赛）")
    private Integer rule;

    @ApiModelProperty(value = "阶段数")
    private Integer stageNum;

    @ApiModelProperty(value = "活动开始时间")
    private String startTime;

    @ApiModelProperty(value = "活动结束时间")
    private String endTime;

    @ApiModelProperty(value = "活动方式（0实操，1理论，2线下）默认为0")
    private Integer method;


    @ApiModelProperty(value = "序号（第几阶段)")
    private Integer number;

    @ApiModelProperty(value = "阶段名称")
    private String stageName;

    @ApiModelProperty(value = "阶段Id")
    private Integer stageId;



}
