package com.huoran.competition.entity.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class GradeExportVO {

    @ApiModelProperty(value = "序号")
    @Excel(name = "序号", orderNum = "1", isImportField = "serialNumber", width = 30)
    private Integer serialNumber;


    @ApiModelProperty(value = "学校名称")
    @Excel(name = "学校名称", orderNum = "2", mergeVertical = true, isImportField = "schoolName", width = 30)
    private String schoolName;

    @ApiModelProperty(value = "团队名称")
    @Excel(name = "团队名称", orderNum = "3", mergeVertical = true, isImportField = "teamName", width = 30, isColumnHidden = false)
    private String teamName;


    @ApiModelProperty(value = "学生姓名")
    @Excel(name = "学生姓名", orderNum = "4", mergeVertical = true, isImportField = "userName", width = 30)
    private String userName;


    @ApiModelProperty(value = "学号")
    @Excel(name = "学号", orderNum = "5", mergeVertical = true, isImportField = "workNumber", width = 30)
    private String workNumber;

    @ApiModelProperty(value = "分数")
    @Excel(name = "分数", orderNum = "6", mergeVertical = false, isImportField = "score", width = 30)
    private String score;

    @ApiModelProperty("耗时")
    @Excel(name = "耗时", orderNum = "7", mergeVertical = false, isImportField = "timeSum", width = 30)
    private String timeSum;


    @ApiModelProperty(value = "提交时间")
    @Excel(name = "提交时间", orderNum = "8", mergeVertical = false, isImportField = "submitTime", width = 30)
    private String submitTime;

}
