package com.huoran.competition.entity.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import cn.afterturn.easypoi.excel.annotation.ExcelTarget;
import com.huoran.competition.utils.poi.ExcelAttribute;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import lombok.experimental.Accessors;

@Data
@ToString
@Accessors(chain = true)
@ExcelTarget("ImportCompetitionGradeFailureVo")
public class ImportCompetitionGradeFailureVO {

    //第几行
    private Long index;

    @Excel(name = "团队", orderNum = "1", isImportField = "teamName", width = 30)
    @ApiModelProperty(value = "团队")
    private String teamName;

    @ApiModelProperty(value = "学生姓名")
    @Excel(name = "学生姓名", orderNum = "2", isImportField = "userName", width = 30)
    private String userName;


    @ApiModelProperty(value = "学号")
    @Excel(name = "学号", orderNum = "3", isImportField = "workNumber", width = 30)
    private String workNumber;


    @ApiModelProperty(value = "分数")
    @Excel(name = "分数", orderNum = "4", isImportField = "score", width = 30)
    private String score;


    @ApiModelProperty(value = "耗时")
    @Excel(name = "耗时", orderNum = "5", isImportField = "timeSum", width = 30)
    private String timeSum;


    /*@ApiModelProperty(value = "提交时间")
    @Excel(name = "提交时间", orderNum = "6", isImportField = "submitTime", width = 30)
    private String submitTime;*/
    @ApiModelProperty(value = "耗时")
    @Excel(name = "学校名", orderNum = "7", isImportField = "schoolName", width = 30)
    private String schoolName;

    @ExcelAttribute(sort = 8)
    @Excel(name = "失败原因", orderNum = "8", isImportField = "failureMsg", width = 50)
    private String failureMsg;
}
