package com.huoran.competition.entity.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class RankingExportVO {

    @ApiModelProperty(value = "序号")
    @Excel(name = "序号", orderNum = "1", isImportField = "serialNumber", width = 30)
    private Integer serialNumber;

    @ApiModelProperty(value = "学生姓名")
    @Excel(name = "学生姓名", orderNum = "2", isImportField = "userName", width = 30)
    private String userName;

    @ApiModelProperty(value = "团队名称")
    @Excel(name = "团队名称", orderNum = "3", isImportField = "teamName", width = 30, isColumnHidden = false)
    private String teamName;


    @ApiModelProperty(value = "队长")
    @Excel(name = "队长", orderNum = "4", isImportField = "leaderName", width = 30)
    private String leaderName;

    @ApiModelProperty(value = "学校名称")
    @Excel(name = "学校名称", orderNum = "5", isImportField = "schoolName", width = 30)
    private String schoolName;


    @ApiModelProperty("耗时")
    @Excel(name = "耗时", orderNum = "6", isImportField = "timeSum", width = 30)
    private String timeSum;

    @ApiModelProperty(value = "分数")
    @Excel(name = "分数", orderNum = "7", isImportField = "score", width = 30)
    private String score;


}
