package com.huoran.competition.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.competition.entity.CompetitionAnnouncement;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 活动公告表 Mapper 接口
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
public interface CompetitionAnnouncementMapper extends BaseMapper<CompetitionAnnouncement> {

    IPage<CompetitionAnnouncement> queryAnnouncementByCompetitionId(Page<CompetitionAnnouncement> page,@Param("competitionId") String competitionId);
}
