package com.huoran.competition.mapper;

import com.huoran.common.response.R;
import com.huoran.competition.entity.CompetitionContent;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
public interface CompetitionContentMapper extends BaseMapper<CompetitionContent> {

    List<CompetitionContent> selectCompetitionContent(@Param("competitionId") String competitionId);

    String selectProjectName(@Param("pid")Integer pid);

    String selectCid(@Param("cid")Integer cid);

    String selectSystem(@Param("systemId")Integer systemId);
}
