package com.huoran.competition.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.common.response.R;
import com.huoran.competition.entity.CompetitionStageFile;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.competition.entity.req.BatchUploadListCompetitionReq;
import com.huoran.competition.entity.req.ContestStageFileReq;
import com.huoran.competition.entity.resp.CompetitionStageFileResp;
import com.huoran.competition.entity.resp.ListOfStageResultsResp;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 活动阶段文件 Mapper 接口
 * </p>
 *
 * @author cheney
 * @since 2023-11-13
 */
public interface CompetitionStageFileMapper extends BaseMapper<CompetitionStageFile> {
    IPage<CompetitionStageFileResp> stageFile(Page<CompetitionStageFileResp> page, @Param("req") ContestStageFileReq req);

    String getStudentName(@Param("accountId") Integer accountId);



}
