package com.huoran.competition.mapper;

import com.huoran.competition.entity.CompetitionStage;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.competition.entity.req.DetailsOfTotalTeamScoresReq;
import com.huoran.competition.entity.resp.ListOfStageResultsResp;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 活动阶段设置表 Mapper 接口
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
public interface CompetitionStageMapper extends BaseMapper<CompetitionStage> {

    List<CompetitionStage> selectCompetitionStageBySetupId(@Param("setupId") Integer setupId);

    List<ListOfStageResultsResp> stageTeamInformation(@Param("req")DetailsOfTotalTeamScoresReq req);
}
