package com.huoran.competition.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.common.entity.School;
import com.huoran.competition.entity.CompetitionRange;
import com.huoran.competition.entity.resp.CompetitionRangeResp;
import com.huoran.competition.entity.resp.SchoolResp;

import java.util.List;

/**
 * <p>
 * 活动范围表 服务类
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
public interface CompetitionRangeService extends IService<CompetitionRange> {

    List<CompetitionRange> getCompetitionRangeByCompetitionId(String competitionId);

    List<CompetitionRangeResp> getRangeByCompetitionId(Integer id);

    boolean checkWhetherToParticipate(School school, Integer competitionId);

    List<SchoolResp> getCity(Integer cityId,Integer provinceId);

    List<SchoolResp> getProvince(Integer provinceId);

    List<SchoolResp> getSchool(Integer schoolId);
}
