package com.huoran.competition.service;

import com.huoran.common.response.R;
import com.huoran.competition.entity.CompetitionStageFile;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.competition.entity.req.ContestStageFileReq;
import com.huoran.competition.entity.req.OverallStandingsInThePointsRaceReq;

import java.util.List;

/**
 * <p>
 * 活动阶段文件 服务类
 * </p>
 *
 * @author cheney
 * @since 2023-11-13
 */
public interface CompetitionStageFileService extends IService<CompetitionStageFile> {

    R stageFile(ContestStageFileReq req);

    List<CompetitionStageFile> stageAllFiles(ContestStageFileReq req);

    CompetitionStageFile obtainTheFileUploadedInThisPhaseByStu(Integer accountId, Integer competitionId, Integer stageId);

    String getStudentName(Integer accountId);

    CompetitionStageFile checkWhetherTheFileHasBeenUploaded(CompetitionStageFile competitionStageFile);
}
