package com.huoran.competition.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.common.response.R;
import com.huoran.competition.entity.CompetitionAnnouncement;
import com.huoran.competition.mapper.CompetitionAnnouncementMapper;
import com.huoran.competition.service.CompetitionAnnouncementService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 活动公告表 服务实现类
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
@Service
public class CompetitionAnnouncementServiceImpl extends ServiceImpl<CompetitionAnnouncementMapper, CompetitionAnnouncement> implements CompetitionAnnouncementService {
    @Override
    public R queryAnnouncementByCompetitionId(String competitionId, Integer pageNum, Integer pageSize) {
        Page<CompetitionAnnouncement> page = new Page<CompetitionAnnouncement>(pageNum, pageSize);
        IPage<CompetitionAnnouncement> pageList = baseMapper.queryAnnouncementByCompetitionId(page, competitionId);
        return R.ok().put("data", pageList);
    }
}
