package com.huoran.competition.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huoran.competition.entity.CompetitionProgress;
import com.huoran.competition.mapper.CompetitionProgressMapper;
import com.huoran.competition.service.CompetitionProgressService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 活动进展表 服务实现类
 * </p>
 *
 * @author cheney
 * @since 2022-11-16
 */
@Service
public class CompetitionProgressServiceImpl extends ServiceImpl<CompetitionProgressMapper, CompetitionProgress> implements CompetitionProgressService {
    @Override
    public boolean repeat(CompetitionProgress competitionProgress) {
        QueryWrapper<CompetitionProgress> wrapper = new QueryWrapper<>();
        wrapper.eq("title", competitionProgress.getTitle());
        wrapper.eq("competition_id", competitionProgress.getCompetitionId());
        Integer count = baseMapper.selectCount(wrapper);
        return count > 0;
    }
}
