package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 课程学习进度
 * </p>
 *
 * @author chen
 * @since 2023-04-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="CurriculumLearningProgress对象", description="课程学习进度")
public class CurriculumLearningProgress implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "课程id")
    private Integer cid;

   /* @ApiModelProperty(value = "章节id")
    private Integer chapterId;

    @ApiModelProperty(value = "小结id")
    private Integer subsectionId;*/

    @ApiModelProperty(value = "项目id")
    private Integer projectId;


    @ApiModelProperty(value = "账号id")
    private Integer accountId;

    @ApiModelProperty(value = "学校id")
    private Integer schoolId;


}
