package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 学科层次
 * </p>
 *
 * @author huoran
 * @since 2021-07-09
 */
@Data
@TableName("discipline_level")
public class DisciplineLevel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 学科层次主键id
     */
    @TableId(value = "discipline_level_id", type = IdType.AUTO)
    private Integer disciplineLevelId;

    /**
     * 学科层次名称
     */
    private String disciplineLevelName;


}
