package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 行业
 * </p>
 *
 * @author huoran
 * @since 2021-06-29
 */
@Data
@TableName("hr_industry")
public class HrIndustry implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 行业ID
     */
    @TableId(value = "industry_id", type = IdType.AUTO)
    private Integer industryId;

    /**
     * 绑定行业类ID
     */
    private Integer industryClassId;

    /**
     * 行业名称
     */
    private String industryName;


}
