package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 专业
 * </p>
 *
 * @author huoran
 * @since 2021-07-09
 */
@Data
@TableName("professional")
public class Professional implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 专业主键id
     */
    @TableId(value = "professional_id", type = IdType.AUTO)
    private Integer professionalId;

    /**
     * 专业名称
     */
    private String professionalName;

    /**
     * 专业类id
     */
    private Integer professionalClassId;

    @ApiModelProperty(value = "引用次数")
    @TableField(exist = false)
    private Integer level;


}
