package com.huoran.nakadai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author huoran
 * @since 2021-07-09
 */
@Data
@TableName("professional_class")
public class ProfessionalClass implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 专业类主键id
     */
    @ApiModelProperty(value = "专业类主键id")
    @TableId(value = "professional_class_id", type = IdType.AUTO)
    private Integer professionalClassId;

    /**
     * 专业类名称
     */
    @ApiModelProperty(value = "专业类名称")
    private String professionalClassName;

    /**
     * 学科层次id
     */
    @ApiModelProperty(value = "学科层次id")
    private Integer disciplineId;

    @ApiModelProperty(value = "引用次数")
    @TableField(exist = false)
    private Integer level;

    @ApiModelProperty(value = "引用专业")
    @TableField(exist = false)
    private List<Professional> professionals;


}
