/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

package com.huoran.nakadai.entity.app.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author lanhai
 */
@Data
public class SkuDto implements Serializable {

    private static final long serialVersionUID = 6457261945829470666L;

    @ApiModelProperty(value = "skuId" , required = true)
    private Integer skuId;
    @ApiModelProperty(value = "价格" , required = true)
    private Double price;
    @ApiModelProperty(value = "原价" )
    private Double oriPrice;

    @ApiModelProperty(value = "库存(-1表示无穷)" , required = true)
    private Integer stocks;

    @ApiModelProperty(value = "sku名称" , required = true)
    private String skuName;

    @ApiModelProperty(value = "图片" )
    private String pic;

    @ApiModelProperty(value = "销售属性组合字符串,格式是p1:v1;p2:v2" , required = true)
    private String properties;
}
