package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;


/**
 * @Author chen
 * @DATE 2022/7/12 15:03
 * @Version 1.0
 */
@Data
public class AppletCallbackReq {

    @ApiModelProperty("微信code")
    private String code;

    @ApiModelProperty("平台标识：5幼儿园，6供应商，7个人端")
    private Integer platformId;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty("唯一标识")
    private String openId;

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("申请组织名称")
    private String organizationName;
}
