package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @ProjectName: huorantech
 * @Package: com.huoran.occupationlab.entity.req
 * @ClassName: ConfigurationReq
 * @Description: java类作用描述
 * @Author: Maureen.Rong
 * @CreateDate: 2021/9/28 14:12
 * @UpdateDate: 2021/9/28 14:12
 * @Version: 1.0
 * @create: 2021-09-28 14:12
 */
@Data
public class ConfigurationReq {
    @ApiModelProperty(value = "项目id")
    private Integer projectId;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "系统id")
    @NotNull(message = "系统id必填")
    private Integer systemId;


    @ApiModelProperty(value = "是否展示")
    private Integer isShow;
}
