package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 沙盘-关卡表
 * </p>
 *
 * @author rong
 * @since 2023-10-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "CustomsPassSortReq", description = "沙盘-排序")
public class CustomsPassSortReq {

    @ApiModelProperty(value = "关卡id")
    private Integer checkpointId;

    @ApiModelProperty(value = "序号")
    private Integer serialNumber;


}
