package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class GetTheSystemUnderTheProductReq extends PageReq {


    @ApiModelProperty(value = "客户ID",hidden = true)
    private Integer customerId;
    /**
     * 系统名称
     */
    @ApiModelProperty(value = "系统名称",required = false)
    private String systemName;

    /**
     * 系统类型
     */
    @ApiModelProperty(value = "系统类型(0编程类 1流程类)")
    private Integer type;

    /**
     * 系统归属
     */
    @ApiModelProperty(value = "系统归属(0内部产品 1外部产品)")
    private Integer belong;
}
