package com.huoran.nakadai.entity.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class ListOfClientCommercialManagersReq  extends PageReq {


    @ApiModelProperty("主键ID")
    private Integer customerId;

    @ApiModelProperty("商务经理id")
    private Integer businessManagerId;

    @ApiModelProperty("商务经理id列表")
    private List<Integer> businessManagerIds;

    @ApiModelProperty("搜索内容")
    private String keywords;

    @ApiModelProperty(value = "客户类型(1、正式 2、试用 3、到期")
    private Integer customerType;

    @ApiModelProperty(value = "账号id")
    private Integer accountId;

    @ApiModelProperty(value = "sort【desc(降序)/asc(升序】", example = "desc")
    private String sort;

    @ApiModelProperty(value = "订单状态(0、待发货 1、已完成")
    private Integer orderStatus;

    @ApiModelProperty(value = "团队id/分类id")
    private Integer classificationId;

    @ApiModelProperty(value = "团队id")
    private Integer teamId;

    @ApiModelProperty(value = "用于区分->团队:1 / 个人:0")
    private Integer type;
}
