package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class OrderPageReq {

    @ApiModelProperty(value = "每页大小，默认10")
    private Integer size = 10;

    @ApiModelProperty(value = "当前页，默认1")
    private Integer current = 1;

    @ApiModelProperty(value = "订单类型：1为个人、2为组织")
    private Integer orderType;

    @ApiModelProperty(value = "查询条件")
    private String queryCriteria;

    //商机线索查询店铺订单
    @ApiModelProperty(hidden = true)
    private Integer shopId;

    //我的采购查询个人订单
    @ApiModelProperty(hidden = true)
    private String userId;
}
