package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class OrderRecordParametersReq extends PageReq {


    @ApiModelProperty("主键ID")
    private Integer customerId;

    @ApiModelProperty("商务经理id")
    private Integer businessManagerId;

    @ApiModelProperty("团队id")
    private Integer teamId;

    @ApiModelProperty(value = "是否是管理员(0否 1是)")
    private Integer isAdmin;

    @ApiModelProperty(value = "搜索内容",example = "关键词")
    private String keywords;

    @ApiModelProperty(value = "订单状态(0、待发货 1、已完成")
    private int orderStatus;
}
