package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 课程管理
 * </p>
 *
 * @author lr
 * @since 2021-09-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "近期使用所需参数", description = "近期使用所需参数")
public class PageCurriculumRecentUseReq extends PageReq {

    @ApiModelProperty(value = "创建人id", hidden = true)
    private Integer accountId;

}
