package com.huoran.nakadai.entity.req;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 沙盘-关卡表
 * </p>
 *
 * @author chen
 * @since 2023-10-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("st_customs_pass")
@ApiModel(value = "PageCustomsPass", description = "沙盘-列表筛选")
public class PageCustomsPass {


    @ApiModelProperty(value = "关卡名称")
    private String customsPassName;


    @ApiModelProperty(value = "是否禁用(默认0:禁用,1:启用)")
    private Integer isEnable;


    @ApiModelProperty(value = "平台：职站->1 中台->3")
    private Integer platformId;

}
