package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Author chen
 * @DATE 2022/5/18 15:54
 * @Version 1.0
 */
@Data
@ApiModel(value = "新增合伙人分类请求参数", description = "新增合伙人分类请求参数")
public class PartnerClassificationAddReq {

    @ApiModelProperty(value = "分类名称")
    @NotNull(message = "分类名称不能为空")
    private String partnerClassificationName;

    @ApiModelProperty(value = "父id 一级为0")
    @NotNull(message = "父id不能为空")
    private Integer parentId;

    @ApiModelProperty(value = "层级")
    @NotNull(message = "层级不能为空")
    private Integer level;

}
