package com.huoran.nakadai.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
public class ProductPageReq {

    @ApiModelProperty(value = "每页大小，默认10")
    private Integer size = 10;

    @ApiModelProperty(value = "当前页，默认1")
    private Integer current = 1;

    @ApiModelProperty(value = "默认是1，表示上架, 2下架，3草稿，4审核，0为删除")
    private Integer status;

    @ApiModelProperty(value = "商品名称")
    private String prodName;

    @ApiModelProperty(value = "店铺id")
    private Integer shopId;
}
