package com.huoran.nakadai.entity.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;


@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "年度经营分析", description = "年度经营分析")
public class AnnualOperatingAnalysisToStringResp {


    @ApiModelProperty(value = "总成交金额：全年订单产品的成交价之和")
    private String finalPrice;

    @ApiModelProperty(value = "总结算金额：全年订单产品的结算价之和")
    private String settlementPrice;


    @ApiModelProperty(value = "市场服务费 = 市场服务费率项目抽成的金额，为产品全年销售金额（即成交金额之和）*所填入的费率")
    private String marketingServiceCharge;

    @ApiModelProperty(value = "项目收益：总成交金额-总结算金额-总市场服务费")
    private String projectBenefit;
}
