package com.huoran.nakadai.entity.res;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "小程序全部产品展示")
public class AppletsDataProductResp  {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;


    @ApiModelProperty(value = "产品名称")
    private String productName;

    @ApiModelProperty(value = "表数据量")
    private String briefIntroduction;

    @ApiModelProperty(value = "市场价")
    private String marketPrice;

    @ApiModelProperty(value = "结算方式，0为单价，1为分成")
    private Integer settlementMethod;

    @ApiModelProperty(value = "供应厂商")
    private String supplier;

    @ApiModelProperty(value = "供应厂商")
    private String supplierName;

    @ApiModelProperty(value = "产品类型 (0->理论 1-实训 2->数据产品) ")
    private Integer productType;

    @ApiModelProperty(value = "产品封面")
    private String coverUrl;

    @ApiModelProperty(value = "创建时间")
    private String createTime;

    @ApiModelProperty(value = "结算单价")
    private String settlementPrice;

    @ApiModelProperty(value = "商务占比")
    private String businessProportion;

    @ApiModelProperty(value = "小程序图片地址")
    private String miniProgramPictureAddress;

    @ApiModelProperty(value = "厂商占比")
    private String manufacturerProportion;


}