package com.huoran.nakadai.entity.res;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;


@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "小程序商务经理-我的客户", description = "小程序商务经理-我的客户")
public class AppletsMyClientsForBusinessResp {



    @ApiModelProperty(value = "商务经理id(partner_id)")
    private Integer businessManagerId;

    @ApiModelProperty(value = "订单id")
    private Integer orderId;

    @ApiModelProperty(value = "绑定客户id")
    private Integer customerId;

    @ApiModelProperty(value = "客户类型(1、正式 2、试用 3、到期")
    private Integer customerType;

    @ApiModelProperty(value = "产品到期时间")
    private Date expireDate;

    @ApiModelProperty(value = "账号")
    private String account;

    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ApiModelProperty(value = "订单联系人")
    private String orderContact;

    @ApiModelProperty(value = "businessManagerName")
    private String businessManagerName;






}
