package com.huoran.nakadai.entity.res;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ProjectName: huorantech
 * @Package: com.huoran.nakadai.entity.res
 * @ClassName: CurriculumDetailRes
 * @Description: java类作用描述
 * @Author: Maureen.Rong
 * @CreateDate: 2021/9/29 10:50
 * @UpdateDate: 2021/9/29 10:50
 * @Version: 1.0
 * @create: 2021-09-29 10:50
 */
@Data
public class CurriculumDetailRes {
    @ApiModelProperty(value = "课程id")
    private Integer cid;

    @ApiModelProperty(value = "项目名称")
    private String projectName;

    @ApiModelProperty(value = "项目权限(0、练习 1、考核 2、竞赛)")
    private Integer permissions;

    @ApiModelProperty(value = "应用名称")
    private String applicationName;

    @ApiModelProperty(value = "排序(对项目展示进行排序)")
    private Integer sort;

    @ApiModelProperty(value = "项目id")
    private Integer projectId;

    @ApiModelProperty(value = "配置id")
    private Integer configId;

    @ApiModelProperty(value = "是否展示(默认0展示 1为不展示)")
    private Integer isShow;

    @ApiModelProperty(value = "系统id")
    private Integer systemId;

    @ApiModelProperty(value = "系统类型")
    private Integer type;

    @ApiModelProperty(value = "备注")
    private String remark;
}
