package com.huoran.nakadai.entity.res;

import com.baomidou.mybatisplus.annotation.*;
import com.huoran.nakadai.entity.ModelReferenceDemo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 源模型-分类表
 * </p>
 *
 * @author chen
 * @since 2022-03-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ModeCategoryResp   {




    @ApiModelProperty(value = "分类名称")
    @NotNull(message = "分类名称不能为空")
    private String categoryName;

    @ApiModelProperty(value = "级别")
    @NotNull(message = "等级不能为空")
    private Integer level;


    @ApiModelProperty(value = "模型子级")
    private transient List<ModelReferenceDemo> referenceDemoList;


    /*@ApiModelProperty(value = "子级")
    private transient List<ModeCategoryResp> children;*/
}
