package com.huoran.nakadai.entity.vo;

/**
 * @description
 * @author: Mr.JK
 * @create: 2021-07-05 18:25
 **/


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @description
 * @author: Mr.JK
 * @create: 2021-06-22 15:47
 **/
@Data
@Accessors(chain = true)
@ApiModel(value = "CheckVo",description = "验证码校验参数")
public class CheckVo implements Serializable {

    private static final long serialVersionUID = 1L;

    //用户的邮箱地址
    @ApiModelProperty("用户的邮箱地址")
    private String email;

    @ApiModelProperty("用户输入的验证码")
    private String code;

    @ApiModelProperty(value = "平台id")
    private String platformId;

    private String accountId;


}
