package com.huoran.nakadai.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author chen
 * @DATE 2020/10/10 9:37
 * @Version 1.0
 * 小节封装对象
 */
@Data
public class SubsectionVO implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "小节ID")
    private Integer id;

    @ApiModelProperty(value = "章节ID")
    private Integer chapterId;

    @ApiModelProperty(value = "小节名称")
    private String name;

    @ApiModelProperty(value = "原始文件名称")
    private String originalFileName;

    @ApiModelProperty(value = "阿里云文件名称")
    private String fileName;

    @ApiModelProperty(value = "资源文件ID")
    private String fileId;

    @ApiModelProperty(value = "文件存储路径")
    private String fileUrl;

    @ApiModelProperty(value = "资源文件类型")
    private String fileType;

    @ApiModelProperty(value = "排序字段")
    private Integer sort;


    @ApiModelProperty(value = "是否学习(0未学习 1已学习)")
    private Integer whetherToStudyOrNot;




    @ApiModelProperty(value = "学习进展id")
    private Integer learningProgressId;


}
