package com.huoran.nakadai.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 幼教产业团队账号与分类中间表
 * </p>
 *
 * @author chen
 * @since 2023-12-12
 */
@Data
public class TeamClassificationVO {


    @ApiModelProperty(value = "团队id")
    private Integer teamId;

    @ApiModelProperty(value = "账户id")
    private Integer accountId;

    @ApiModelProperty(value = "供应商分类id")
    private Integer supplierClassificationId;

    @ApiModelProperty(value = "供应商分类名称")
    private String supplierClassificationName;

    @ApiModelProperty(value = "供应商分类配置id")
    private Integer classificationConfigId;

    @ApiModelProperty(value = "联系号码")
    private String phone;




}
