package com.huoran.nakadai.mapper;

import com.huoran.nakadai.entity.Comment;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.nakadai.entity.res.CommentRes;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 课程评论回复表 Mapper 接口
 * </p>
 *
 * @author chen
 * @since 2023-05-25
 */
public interface CommentMapper extends BaseMapper<Comment> {

    List<CommentRes> findByParentId(@Param("pid") int pid,@Param("mallId") Integer mallId,@Param("schoolId") Integer schoolId,@Param("accountId") String accountId);

    String selectTeacherAdministrator(@Param("accountId") String accountId);
}
