package com.huoran.nakadai.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.nakadai.entity.CurriculumRecentUse;
import com.huoran.nakadai.entity.req.PageCurriculumRecentUseReq;
import com.huoran.nakadai.entity.res.SchoolCourseRes;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author chen
 * @since 2023-04-19
 */
public interface CurriculumRecentUseMapper extends BaseMapper<CurriculumRecentUse> {
    IPage<SchoolCourseRes> recentUse(Page<SchoolCourseRes> page, @Param("req") PageCurriculumRecentUseReq req);
}
