package com.huoran.nakadai.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.nakadai.entity.CustomsPass;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 沙盘-关卡表 Mapper 接口
 * </p>
 *
 * @author chen
 * @since 2023-10-26
 */
public interface CustomsPassMapper extends BaseMapper<CustomsPass> {

    List<CustomsPass> checkPointList(@Param("schoolId") Integer schoolId, @Param("accountId") Integer accountId,
                                  @Param("projectId") Integer projectId, @Param("displayCollection") Integer displayCollection);
    Integer maximumSequenceNumber();
}
