package com.huoran.nakadai.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.nakadai.entity.DataProduct;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.nakadai.entity.req.MiniProgramProductsReq;
import com.huoran.nakadai.entity.res.AppletsDataProductResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 数据平台产品表 Mapper 接口
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
@Mapper
public interface DataProductMapper extends BaseMapper<DataProduct> {

    IPage<AppletsDataProductResp> AppletsDataProductList(Page<AppletsDataProductResp> page, @Param("req") MiniProgramProductsReq req);

}
