package com.huoran.nakadai.mapper;

import com.huoran.nakadai.entity.ModelSysCategory;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 源模型-分类表 Mapper 接口
 * </p>
 *
 * @author chen
 * @since 2022-03-03
 */
public interface ModelSysCategoryMapper extends BaseMapper<ModelSysCategory> {
    List<ModelSysCategory> getCategoryByLevel(Integer level);

    Integer getMaxLevel();

    ModelSysCategory getLevelByZero(Integer level);

    List<ModelSysCategory> primaryClassification();


    List<Integer> getsTheChildLevelUnderTheParent( @Param("schoolId")Integer schoolId);
}
