package com.huoran.nakadai.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.nakadai.entity.PartnerArticleClassification;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @描述：合伙人——文章管理——文章所属分类 Mapper 接口
 * @作者: Rong
 * @日期: 2023-03-16
 */
@Mapper
public interface PartnerArticleClassificationMapper extends BaseMapper<PartnerArticleClassification> {


    List<String> categoryIdsQueriesCategoryInformation(@Param("ids") String ids);
}