package com.huoran.nakadai.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.nakadai.entity.PartnerArticleManagement;
import com.huoran.nakadai.entity.req.PagePartnerArticleManagementReq;
import com.huoran.nakadai.entity.res.PartnerArticleManagementResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @描述：合伙人——文章管理 Mapper 接口
 * @作者: Rong
 * @日期: 2023-03-16
 */
@Mapper
public interface PartnerArticleManagementMapper extends BaseMapper<PartnerArticleManagement> {

    List<PartnerArticleManagementResp> partnerOperatingList(@Param("req") PagePartnerArticleManagementReq req);

    Integer partnerOperatingListCount( @Param("req") PagePartnerArticleManagementReq req);
}