package com.huoran.nakadai.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.nakadai.entity.PartnerSchemeManagement;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.nakadai.entity.req.PagePartnerArticleManagementReq;
import com.huoran.nakadai.entity.res.PartnerArticleManagementResp;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 合伙人——方案管理 Mapper 接口
 * </p>
 *
 * @author chen
 * @since 2023-03-20
 */
public interface PartnerSchemeManagementMapper extends BaseMapper<PartnerSchemeManagement> {
    IPage<PartnerArticleManagementResp> schemeList(Page<PartnerArticleManagementResp> page, @Param("req") PagePartnerArticleManagementReq req);

}
