package com.huoran.nakadai.mapper;

import com.huoran.common.entity.UserAccount;
import com.huoran.nakadai.entity.PlatformTeamClassification;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 幼教产业平台团队分类表 Mapper 接口
 * </p>
 *
 * @author chen
 * @since 2023-12-12
 */
@Mapper
public interface PlatformTeamClassificationMapper extends BaseMapper<PlatformTeamClassification> {

    PlatformTeamClassification getParentInformationBasedOnChild(@Param("id") String classificationId);

    void updateByAccountId(@Param("accountId")Integer accountId, @Param("status")Integer status);

    List<UserAccount> selectAccountList(@Param("openId")String openId);
}
