package com.huoran.nakadai.mapper;

import com.huoran.nakadai.entity.ProfessionalClass;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author huoran
 * @since 2021-07-09
 */
@Mapper
public interface ProfessionalClassMapper extends BaseMapper<ProfessionalClass> {

    List<ProfessionalClass> queryProfessionalClass(@Param(value = "disciplineIds") List<Integer> disciplineIds);

    List<ProfessionalClass> professionalClassLevel(@Param(value = "disciplineId") Integer disciplineId);

    List<ProfessionalClass> professionalClassLevelNoLeft(@Param(value = "disciplineId") Integer disciplineId);
}
