package com.huoran.nakadai.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.nakadai.entity.Professional;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 专业 Mapper 接口
 * </p>
 *
 * @author huoran
 * @since 2021-07-09
 */
@Mapper
public interface ProfessionalMapper extends BaseMapper<Professional> {

    List<Professional> professionalLevel(@Param(value = "professionalClassId") Integer professionalClassId);

    List<Professional> professionalLevelNoLeft(@Param(value = "professionalClassId") Integer professionalClassId);
}
