package com.huoran.nakadai.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huoran.nakadai.entity.ServiceConfiguration;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.nakadai.entity.req.ServiceConfigurationReq;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 服务配置表 Mapper 接口
 * </p>
 *
 * @author Mr.JK
 * @since 2021-09-08
 */
public interface ServiceConfigurationMapper extends BaseMapper<ServiceConfiguration> {

    IPage<ServiceConfiguration> serviceConfigurationList(Page<ServiceConfiguration> page,@Param("req")  ServiceConfigurationReq serviceReq);
}
