package com.huoran.nakadai.service;

import com.huoran.nakadai.entity.CurriculumChapter;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.nakadai.entity.vo.ChapterVO;
import com.huoran.nakadai.entity.vo.SortVO;

import java.util.List;

/**
 * <p>
 * 企业课程章节表 服务类
 * </p>
 *
 * @author lr
 * @since 2021-09-26
 */
public interface CurriculumChapterService extends IService<CurriculumChapter> {

    List<ChapterVO> getChapterTree(String courseId);

    boolean removeChapter(Integer chapterId);

    boolean saveChapter(CurriculumChapter courseChapter);

    boolean updateSort(SortVO sortVO);

    boolean repeat(CurriculumChapter courseChapter);
}
