package com.huoran.nakadai.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.common.entity.UserAccount;
import com.huoran.common.response.R;
import com.huoran.common.entity.EnterpriseCertification;
import com.huoran.nakadai.entity.UserInfo;
import com.huoran.nakadai.entity.req.EnterpriseCertificationLIstReq;

/**
 * <p>
 * 企业认证审核 服务类
 * </p>
 *
 * @author chen
 * @since 2023-12-18
 */
public interface EnterpriseCertificationService extends IService<EnterpriseCertification> {
    EnterpriseCertification checkWhetherItExists(String comapnyName, Integer id,String opnenId);

    R selectEnterpriseCertificationList(EnterpriseCertificationLIstReq req);

    R supplierList(EnterpriseCertificationLIstReq req);


    R enterpriseCertificationDetails(Integer id);

    boolean deleteTeamInformation(Integer accountId);

    UserAccount queryAccountInformation(String openId, Integer platformId);

    //逻辑删除用户信息
    boolean deleteUserInformation(Integer userId);

    //逻辑删除账户信息
    boolean deleteAccountInformation(Integer accountId);

    boolean updateAccountInfo(UserAccount userAccount);

    boolean updateUserInfo( UserInfo userInfo);

}
