package com.huoran.nakadai.service;

import com.huoran.common.entity.Architecture;
import com.huoran.nakadai.entity.HrStaffAccountArchitecture;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.nakadai.entity.req.ArchitectureAddReq;

import java.util.List;

/**
 * <p>
 * 中台账号组织架构 服务类
 * </p>
 *
 * @author chen
 * @since 2022-03-22
 */
public interface HrStaffAccountArchitectureService extends IService<HrStaffAccountArchitecture> {

    boolean checkRepeat(HrStaffAccountArchitecture architecture);

    List<HrStaffAccountArchitecture> treeList();

    boolean removeOrganization(Integer id);
}
