package com.huoran.nakadai.service;

import com.huoran.common.response.R;
import com.huoran.nakadai.entity.HrStaff;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.nakadai.entity.req.StaffAddReq;
import com.huoran.nakadai.entity.req.StaffListReq;
import com.huoran.nakadai.entity.req.StaffUpdateReq;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 中台后台员工账号表 服务类
 * </p>
 *
 * @author chen
 * @since 2022-03-22
 */
public interface HrStaffService extends IService<HrStaff> {

    R saveStaff(StaffAddReq staffReq);

    R pageStaffList(StaffListReq req);

    R staffDetail(Integer accountId);

    R modifyStaff(StaffUpdateReq updateReq);

    R delStaff(List<Integer> accountIds);

    Map<String, String> importStaff(MultipartFile file);

    void exportFailureRecord(HttpServletResponse response, String exportCode) throws IOException;
}
