package com.huoran.nakadai.service;

import com.huoran.common.entity.ProjectManage;
import com.huoran.common.response.R;
import com.huoran.nakadai.entity.CurriculumConfigure;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.nakadai.entity.res.CourseByProjectInfoRes;
import com.huoran.nakadai.entity.res.CurriculumDetailRes;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * <p>
 * 课程配置表 服务类
 * </p>
 *
 * @author lr
 * @since 2021-09-17
 */
public interface ICurriculumConfigureService extends IService<CurriculumConfigure> {
    R projectListByCourseId(Integer cid, Integer permissions, String projectName);

    List<CurriculumDetailRes> getCurriculumConfigure(Integer cid,Integer permissions);

   R checkConfig(Integer projectId);

    List<ProjectManage> getProjectBySystemIdRemoteCall(String systemId, Integer accountId, Integer permissions, Integer cId, Integer mallId,Integer schoolId);
}
