package com.huoran.nakadai.service;

import com.huoran.nakadai.entity.School;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 学校表 服务类
 * </p>
 *
 * @author huoran
 * @since 2021-06-29
 */
public interface ISchoolService extends IService<School> {

    List<School> querySchool(String schoolName, Integer provinceId, Integer cityId);

    List<School> getSchoolsByProvince(String schoolName, Integer provinceId, Integer cityId);
}
