package com.huoran.nakadai.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huoran.nakadai.entity.ServiceConfiguration;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.nakadai.entity.req.ServiceConfigurationReq;

import java.util.List;

/**
 * <p>
 * 服务配置表 服务类
 * </p>
 *
 * @author Mr.JK
 * @since 2021-09-08
 */
public interface IServiceConfigurationService extends IService<ServiceConfiguration> {

    IPage<ServiceConfiguration> getAllService(ServiceConfigurationReq serviceReq);

    String getSystemNameBySystemId(Integer systemId);
}
