package com.huoran.nakadai.service;

import com.huoran.common.response.R;
import com.huoran.nakadai.entity.Mall;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.nakadai.entity.PartnerArticleClassification;
import com.huoran.nakadai.entity.req.GoodsListReq;
import com.huoran.nakadai.entity.vo.GoodsVo;

import java.util.List;
import java.util.concurrent.ExecutionException;

/**
 * <p>
 * 商城管理表 服务类
 * </p>
 *
 * @author chen
 * @since 2023-04-25
 */
public interface MallService extends IService<Mall> {

    R addGoods(GoodsVo goodsVo) throws ExecutionException, InterruptedException;

    R listOfGoods(GoodsListReq goodsListReq);

    GoodsVo detailsOfGoods(Integer mallId,String token);

    boolean deletionOfGoods(Integer mallId);

    boolean renewalOfGoods(GoodsVo goodsVo);

    List<Integer> schoolGoods(Integer schoolId);

    List<PartnerArticleClassification> goodsSchemeClassification();

    R websiteProductList(GoodsListReq goodsListReq);

    R stationShoppingMall(GoodsListReq goodsListReq);
}
