/*
 * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
 *
 * https://www.mall4j.com/
 *
 * 未经允许，不可做商业用途！
 *
 * 版权所有，侵权必究！
 */

package com.huoran.nakadai.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.nakadai.entity.app.dto.MyOrderDto;
import com.huoran.nakadai.entity.model.Order;
import com.huoran.nakadai.entity.req.OrderPageReq;

/**
 * 我的订单
 * @author lgh
 */
public interface MyOrderService extends IService<Order> {

	/**
	 * 通过用户id和订单状态分页获取订单信息
	 * @return
	 */
	IPage<Order> pageMyOrderByUserIdAndStatus(Page<Order> orderPage,OrderPageReq orderParam);
}
