package com.huoran.nakadai.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.common.response.R;
import com.huoran.nakadai.entity.PartnerArticleManagement;
import com.huoran.nakadai.entity.req.PagePartnerArticleManagementReq;
import com.huoran.nakadai.entity.vo.ContentHeavyTitleReqVO;

/**
 * @描述：合伙人——文章管理 service接口
 * @作者: Rong
 * @日期: 2023-03-16
 */
public interface PartnerArticleManagementService extends IService<PartnerArticleManagement> {

    R  partnerOperatingList(PagePartnerArticleManagementReq req);

    /**
     * 新增栏目前,标题全库判重
     * @param content
     * @return
     */
    boolean checkIfTheTitleIsRepeat(ContentHeavyTitleReqVO content);

    /*R modifiedSort(Integer sequenceNumber, Integer articleId);*/

}