package com.huoran.nakadai.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huoran.nakadai.entity.PartnerClassification;

import java.util.List;

/**
 * <p>
 * 合伙人分类表 服务类
 * </p>
 *
 * @author chen
 * @since 2022-05-18
 */
public interface PartnerClassificationService extends IService<PartnerClassification> {

    boolean checkRepeat(PartnerClassification partnerClassification);

    boolean removeClassification(Integer id);

    List<PartnerClassification> treeList(Integer applet);

    List<Integer> queryBusinessManagerIdBasedOnTeamId(String teamId);

    void removeRole(String teamId, Integer accountId);

    boolean checkRepeatAll(PartnerClassification partnerClassification);
}
