package com.huoran.nakadai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huoran.nakadai.entity.CurriculumLearningProgress;
import com.huoran.nakadai.mapper.CurriculumLearningProgressMapper;
import com.huoran.nakadai.service.CurriculumLearningProgressService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 课程学习进度 服务实现类
 * </p>
 *
 * @author chen
 * @since 2023-04-25
 */
@Service
public class CurriculumLearningProgressServiceImpl extends ServiceImpl<CurriculumLearningProgressMapper, CurriculumLearningProgress> implements CurriculumLearningProgressService {

    @Override
    public List<CurriculumLearningProgress> curriculumLearningProgresses(Integer accountId, String cid) {
        QueryWrapper<CurriculumLearningProgress> qwrap = new QueryWrapper<>();
        qwrap.eq("cid",cid);
        qwrap.eq("account_id",accountId);
        List<CurriculumLearningProgress> list = baseMapper.selectList(qwrap);
        return list;
    }
}
