package com.huoran.nakadai.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huoran.common.response.R;
import com.huoran.nakadai.entity.CurriculumRecentUse;
import com.huoran.nakadai.entity.req.PageCurriculumRecentUseReq;
import com.huoran.nakadai.entity.res.SchoolCourseRes;
import com.huoran.nakadai.mapper.CurriculumRecentUseMapper;
import com.huoran.nakadai.service.CurriculumRecentUseService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author chen
 * @since 2023-04-19
 */
@Service
public class CurriculumRecentUseServiceImpl extends ServiceImpl<CurriculumRecentUseMapper, CurriculumRecentUse> implements CurriculumRecentUseService {

    @Override
    public R recentUse(PageCurriculumRecentUseReq req) {

        Page<SchoolCourseRes> page = new Page<>(req.getPageNum(), req.getPageSize());
        IPage<SchoolCourseRes> pageList = baseMapper.recentUse(page, req);
        return R.ok().put("page",pageList);
    }
}
