package com.huoran.nakadai.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huoran.common.response.R;
import com.huoran.nakadai.entity.CustomsPass;
import com.huoran.nakadai.mapper.CustomsPassMapper;
import com.huoran.nakadai.service.CustomsPassService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 沙盘-关卡表 服务实现类
 * </p>
 *
 * @author chen
 * @since 2023-10-26
 */
@Service
public class CustomsPassServiceImpl extends ServiceImpl<CustomsPassMapper, CustomsPass> implements CustomsPassService {


    @Override
    public Integer maximumSequenceNumber() {
        return baseMapper.maximumSequenceNumber();
    }

    @Override
    public R checkPointList(Integer schoolId, Integer accountId, Integer projectId, Integer displayCollection) {
        return R.ok().put("data", baseMapper.checkPointList(schoolId, accountId, projectId,displayCollection));
    }
}
