package com.huoran.nakadai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huoran.nakadai.entity.HrIndustryClass;
import com.huoran.nakadai.mapper.HrIndustryClassMapper;
import com.huoran.nakadai.service.IHrIndustryClassService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 行业类 服务实现类
 * </p>
 *
 * @author huoran
 * @since 2021-06-29
 */
@Service
public class HrIndustryClassServiceImpl extends ServiceImpl<HrIndustryClassMapper, HrIndustryClass> implements IHrIndustryClassService {

    @Override
    public List<HrIndustryClass> queryIndustryClass() {
        List<HrIndustryClass> hrIndustryClassesList = this.baseMapper.selectList(new QueryWrapper<HrIndustryClass>());
        return hrIndustryClassesList;
    }
}
