package com.huoran.nakadai.service.impl;

import com.huoran.nakadai.entity.HrLog;
import com.huoran.nakadai.entity.vo.LogManagementListVo;
import com.huoran.nakadai.mapper.HrLogMapper;
import com.huoran.nakadai.service.HrLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author chen
 * @since 2022-03-04
 */
@Service
public class HrLogServiceImpl extends ServiceImpl<HrLogMapper, HrLog> implements HrLogService {

    @Override
    public List<LogManagementListVo> managementList(String search) {
        List<LogManagementListVo> logManagementListVos = baseMapper.selectManagementList();
        return logManagementListVos;
    }

    @Override
    public List<Integer> queryAllAccount(Integer platformId) {
        return baseMapper.selectAllAccount(platformId);
    }
}
