package com.huoran.nakadai.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huoran.nakadai.entity.ModelDemoHidden;
import com.huoran.nakadai.mapper.ModelDemoHiddenMapper;
import com.huoran.nakadai.service.ModelDemoHiddenService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 此表是在教师端系统管理,可对于系统内置模型统一管理 服务实现类
 * </p>
 *
 * @author chen
 * @since 2023-06-03
 */
@Service
public class ModelDemoHiddenServiceImpl extends ServiceImpl<ModelDemoHiddenMapper, ModelDemoHidden> implements ModelDemoHiddenService {

    @Override
    public ModelDemoHidden viewDetails(Integer modelId,Integer schoolId) {
        QueryWrapper<ModelDemoHidden> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("model_id",modelId);
        queryWrapper.eq("school_id",schoolId);
        ModelDemoHidden hidden = baseMapper.selectOne(queryWrapper);
        return hidden;
    }
}
