package com.huoran.nakadai.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huoran.nakadai.entity.PartnerArticleClassification;
import com.huoran.nakadai.mapper.PartnerArticleClassificationMapper;
import com.huoran.nakadai.service.PartnerArticleClassificationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @描述：合伙人——文章管理——文章所属分类 服务类
 * @作者: Rong
 * @日期: 2023-03-16
 */
@Service
public class PartnerArticleClassificationServiceImpl extends ServiceImpl<PartnerArticleClassificationMapper, PartnerArticleClassification> implements PartnerArticleClassificationService {

    @Autowired
    private PartnerArticleClassificationMapper mapper;

    @Override
    public List<String> categoryIdsQueriesCategoryInformation(String ids) {
        return baseMapper.categoryIdsQueriesCategoryInformation(ids);
    }
}



