package com.huoran.nakadai.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huoran.nakadai.entity.PartnerArticleLabel;
import com.huoran.nakadai.mapper.PartnerArticleLabelMapper;
import com.huoran.nakadai.service.PartnerArticleLabelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @描述：合伙人——文章管理——文章主题标签 服务类
 * @作者: Rong
 * @日期: 2023-03-16
 */
@Service
public class PartnerArticleLabelServiceImpl extends ServiceImpl<PartnerArticleLabelMapper, PartnerArticleLabel> implements PartnerArticleLabelService {

    @Autowired
    private PartnerArticleLabelMapper mapper;

    @Override
    public List<String> idsQueriesLabelInformation(String ids) {
        return mapper.idsQueriesLabelInformation(ids);
    }
}



