package com.huoran.nakadai.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huoran.nakadai.entity.ProfessionalClass;
import com.huoran.nakadai.mapper.ProfessionalClassMapper;
import com.huoran.nakadai.service.IProfessionalClassService;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author huoran
 * @since 2021-07-09
 */
@Service
public class ProfessionalClassServiceImpl extends ServiceImpl<ProfessionalClassMapper, ProfessionalClass> implements IProfessionalClassService {

    @Override
    @Cacheable(value = {"n_professional_class_"},key = "#root.methodName")
    public List<ProfessionalClass> queryProfessionalClass(List<Integer> disciplineIds) {
        return this.baseMapper.queryProfessionalClass(disciplineIds);
    }

    @Override
    public List<ProfessionalClass> professionalClassLevel(Integer disciplineId) {
        return baseMapper.professionalClassLevel(disciplineId);
    }
}
