package com.huoran.users.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 学生组织架构
 * </p>
 *
 * @author lr
 * @since 2021-08-24
 */
@Data
@ApiModel(value = "新增组织架构请参数", description = "新增组织架构请参数")
public class AddArchitectureReq {


    @ApiModelProperty(value = "组织名称")
    @NotNull(message = "组织名称不能为空")
    private String organizationName;

    @ApiModelProperty(value = "父id 一级为0")
    @NotNull(message = "父id不能为空")
    private Integer parentId;


    @ApiModelProperty(value = "学校id")
    @NotNull(message = "学校id不能为空")
    private Integer schoolId;


    @ApiModelProperty(value = "层级")
    @NotNull(message = "层级不能为空")
    private Integer level;


}
