package com.huoran.users.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 学生表
 * </p>
 *
 * @author lr
 * @since 2021-08-24
 */
@Data
@ApiModel(value = "Student对象", description = "学生表")
public class AddStudentReq {


    @ApiModelProperty(value = "账号id")
    private Integer accountId;

    @ApiModelProperty(value = "班级id(可多个班级逗号隔开,未加入班级的默认为0)")
    private Integer classId;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    private Integer isDel;


}
