package com.huoran.users.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @描述：数据平台产品表
 * @作者: Rong
 * @日期: 2021-06-28
 */
@Data
@ApiModel(value = "用户管理-请求参数")
public class DataUserListReq {


    @ApiModelProperty(value = "开始时间")
    private String createTime;

    @ApiModelProperty(value = "更新时间")
    private String endTime;

    @ApiModelProperty(value = "是否禁用（0->禁用，1->启用）")
    private Integer isEnable;

    @ApiModelProperty(value = "关键词(员工、姓名、工号)")
    private String keyWord;


    @ApiModelProperty(value = "所属平台：1->职站 2->数据平台")
    private String platformId;


    @ApiModelProperty(value = "数据平台角色id")
    private String roleId;

    @ApiModelProperty(value = "学校id")
    private Integer schoolId;


    @ApiModelProperty(value = "当前页数")
    private Integer pageNum;
    @ApiModelProperty(value = "当前页需要显示的数量")
    private Integer pageSize;


}