package com.huoran.users.entity.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
@Data
public class RegisterReq {

    @ApiModelProperty(value = "学号/工号")
    @NotNull(message = "学生学号不能为空！")
    private String workNumber;

    @ApiModelProperty(value = "学生姓名")
    @NotNull(message = "学生姓名不能为空！")
    private String userName;

    @NotNull(message = "账号不能为空！")
    @ApiModelProperty(value = "账号")
    private String account;

    @NotNull(message = "密码不能为空！")
    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "唯一标识账号")
    @NotNull(message = "唯一标识不能为空！")
    private String uniqueIdentification;

    @ApiModelProperty(value = "电话")
    @NotNull(message = "手机号不能为空")
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "学校id")
    private Integer schoolId;

    @ApiModelProperty("验证码")
    private String code;

    @ApiModelProperty("内部标识")
    private Integer identification;
}
