package com.huoran.users.entity.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Author chen
 * @DATE 2022/4/25 16:48
 * @Version 1.0
 */
@Data
public class UnbindAccountsReq {

    private List<Integer> accountIds;

    @ApiModelProperty("手机号")
    private String phone;

    @NotNull(message = "验证码不能为空")
    private String code;

    @ApiModelProperty("学号/工号")
    private String workNumber;

    @ApiModelProperty("学校")
    private Integer schoolId;

    @ApiModelProperty("密码")
    private String password;

    @ApiModelProperty("平台标识，1职站，2数据平台，3中台")
    private Integer platform;

    @ApiModelProperty("平台端区分：0->教师端 1->学生端 2->无端")
    private Integer type;


}
