package com.huoran.users.entity.res;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "营业执照OCR文件识别")
public class CreditCodeResp {




    //使用@JsonIgnore注解，忽略此属性，前端不会拿到该属性
    @JsonIgnore
    @ApiModelProperty(value = "识别结果，true表示成功，false表示失败")
    private Boolean status;

    //使用@JsonIgnore注解，忽略此属性，前端不会拿到该属性
    @JsonIgnore
    @ApiModelProperty(value = "正确返回返回信息")
    private String msg;

    //使用@JsonIgnore注解，忽略此属性，前端不会拿到该属性
    @JsonIgnore
    @ApiModelProperty(value = "查询结果")
    private String result;

    //使用@JsonIgnore注解，忽略此属性，前端不会拿到该属性
    @JsonIgnore
    @ApiModelProperty(value = "失败返回信息")
    private String reason;

    //使用@JsonIgnore注解，忽略此属性，前端不会拿到该属性
    @JsonIgnore
    @ApiModelProperty(value = "返回码")
    private Integer code;

}
