package com.huoran.users.entity.res;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @描述：个人档案表
 * @作者: Rong
 * @日期: 2022-04-21
 */
@Data
@ApiModel(value = "个人档案表")
@TableName("hr_personal_file")
public class PersonalFileResp {

    @ApiModelProperty(value = "个人档案id")
    private Integer personalFileId;

    @ApiModelProperty(value = "个人职业id(1、学生 2、老师)")
    private Integer personalCareerId;

    @ApiModelProperty(value = "学校名称")
    private String schoolName;

    @ApiModelProperty(value = "绑定学科名称")
    private String disciplineName;

    @ApiModelProperty(value = "绑定专业类名称")
    private String professionalClassName;

    @ApiModelProperty(value = "绑定专业名称")
    private String professionalName;

}