package com.huoran.users.entity.res;


import com.huoran.users.entity.HrUserAccount;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 用户管理列表
 * </p>
 *
 * @author Qyq
 * @since 2021-03-17
 */
@Data
@ToString
public class UserSchoolDetailRes implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 院校id
     */
    @ApiModelProperty("院校id")
    private Integer schoolId;

    /**
     * 账号集合
     */
    @ApiModelProperty("账号集合")
    private List<HrUserAccount> accountList;

}
