package com.huoran.users.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huoran.users.entity.HrPersonalFile;
import com.huoran.users.entity.res.PersonalFileResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 个人档案表 Mapper 接口
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
@Mapper
public interface HrPersonalFileMapper extends BaseMapper<HrPersonalFile> {

    Boolean insertPersonalfileList(@Param("personalFileList") List<HrPersonalFile> personalFileList);

    void insertPersonalInfo(HrPersonalFile personalFile);

    void updateUserPersonal(HrPersonalFile vo);

    List<PersonalFileResp> personalFileListByUserId(Integer usersId);
}
