package com.huoran.users.service.impl;

import com.huoran.users.entity.DataPermission;
import com.huoran.users.entity.vo.DataPermissionVo;
import com.huoran.users.mapper.DataPermissionMapper;
import com.huoran.users.service.DataPermissionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author chen
 * @since 2022-10-13
 */
@Service
public class DataPermissionServiceImpl extends ServiceImpl<DataPermissionMapper, DataPermission> implements DataPermissionService {
    @Override
    public List<DataPermissionVo> selectDataPermission(String roleIds) {
        return baseMapper.selectDataPermission(roleIds);
    }
}
