package com.huoran.users.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huoran.users.entity.HrPersonalFile;
import com.huoran.users.mapper.HrPersonalFileMapper;
import com.huoran.users.service.IHrPersonalFileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 个人档案表 服务实现类
 * </p>
 *
 * @author huoran
 * @since 2021-06-28
 */
@Service
public class HrPersonalFileServiceImpl extends ServiceImpl<HrPersonalFileMapper, HrPersonalFile> implements IHrPersonalFileService {

    @Autowired
    private HrPersonalFileMapper hrPersonalFileMapper;

    @Override
    public void insertPersonalInfo(HrPersonalFile personalFile) {
        hrPersonalFileMapper.insertPersonalInfo(personalFile);
    }

    @Override
    public void updateUserPersonal(HrPersonalFile personalFile) {
        hrPersonalFileMapper.updateUserPersonal(personalFile);
    }

}
