package com.huoran.users.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huoran.common.response.R;
import com.huoran.users.entity.PlatformLogin;
import com.huoran.users.entity.res.LoginStatisticsResp;
import com.huoran.users.mapper.PlatformLoginMapper;
import com.huoran.users.service.PlatformLoginService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 各平台登录统计 服务实现类
 * </p>
 *
 * @author chen
 * @since 2022-09-13
 */
@Service
public class PlatformLoginServiceImpl extends ServiceImpl<PlatformLoginMapper, PlatformLogin> implements PlatformLoginService {

    @Override
    public R platformLoginStatistics(Integer platform,Integer schoolId) {
        List<LoginStatisticsResp> loginStatisticsResp = baseMapper.platformLoginStatistics(platform,schoolId);
        return R.ok().put("data",loginStatisticsResp);
    }
}
