package com.huoran.users.service.impl;

import com.huoran.users.entity.DataPermission;
import com.huoran.users.entity.Supplier;
import com.huoran.users.mapper.SupplierMapper;
import com.huoran.users.service.SupplierService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 供应商表 服务实现类
 * </p>
 *
 * @author chen
 * @since 2022-10-13
 */
@Service
public class SupplierServiceImpl extends ServiceImpl<SupplierMapper, Supplier> implements SupplierService {

    @Override
    public List<Supplier> querySupplierList(String roles,Integer permissionId) {
        return baseMapper.selectSupplierList(roles,permissionId);
    }

}
