package com.huoran.websocket;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

/**
 * websocket 服务 (无需启动)
 @author wangsong
 @date 2023/05/17
 */
@SpringBootApplication(scanBasePackages = {"com.huoran"}, exclude = {DataSourceAutoConfiguration.class})
public class WebSocketServer {

	public static void main(String[] args) {
		SpringApplication.run(WebSocketServer.class, args);
	}
}
